<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

 <div py:def="renderActionLog ()" class="actionlog" id="actionlog:main">
  <!-- this renders the currently running action log, or an action log identified by an id -->
  <script src="/static/js/actionlog.js" charset="utf-8" type="text/javascript">
  </script>

  <?python
  import cherrypy
  currentskin = cherrypy.session['skin']
  q = cherrypy.session['actionlog_queue']
  showlog = []
  while not q.empty():
      showlog.append(q.dequeue())
  max_severity = 1
  if showlog:
      max_severity = max([Status.severities(status[0]).index for status in showlog])
  severity = Status.severities(max_severity).label
  ?>

  <div class="actionlog-container" py:if="currentskin != 'reloaded'">
  <table class="actionlog-summary">
   <tr>
    <td class="actionlog-summary-status"><img id="actionlog:info" src="/static/images/info.gif" align="absmiddle" /> <lang>Status</lang> : ${severity}</td>
   </tr>
  </table>

  <div class="actionlog-details" id="actionlog:details">
   <p py:for="status in showlog">
    <?python
    loglevel = 'loglevel%d' % Status.severities(status[0]).index
    severity = Status.severities(status[0]).label
    msg = status[1]
    ?>
    <span class="$loglevel">$severity</span>
    <span>$msg</span>
   </p>
   <br/>
  </div>

  <script>
   registerActionLogEvents ();
  </script>

  </div>

  <div class="actionlog-container-${severity}" py:if="currentskin == 'reloaded'">
  <table class="actionlog-summary">
   <tr>
    <td class="actionlog-summary-status-${severity}"><lang>Status</lang> : ${severity}</td>
   </tr>
  </table>

  <div class="actionlog-details" id="actionlog:details">
   <p py:for="status in showlog">
    <?python
    loglevel = 'loglevel%d' % Status.severities(status[0]).index
    severity = Status.severities(status[0]).label
    msg = status[1]
    ?>
    <span class="$loglevel">$severity</span>
    <span class="actionlog-text">$msg</span>
   </p>
   <br/>
  </div>

  <script>
   registerActionLogEvents ();
  </script>

  </div>
  
 </div>

</html>
