<html py:extends="'../svc_configs/common.kid','../common/validate.kid', '../common/renderfield.kid'" 
    xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

<?python
  import kidpages.common.subnav
  import kidpages.common.actionlog
  if not from_page == "index":
     subnavtmpl = kidglobals (kidpages.common.subnav)
  actionlogtmpl = kidglobals (kidpages.common.actionlog)
?>

<head>
    <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
    <link rel="stylesheet" py:attrs="{'href': getStyleSheet () }" type="text/css" />
    <title><lang>Change License Key</lang></title>
</head>

<body>
    <div py:replace="subnavtmpl.renderNavBarGroup ()" py:if="not from_page == 'index'"/>
    <div py:replace="actionlogtmpl.renderActionLog ()"/>
    ${validate_js_function()} 
  <!-- Initialize the validators -->
    ${initialize_validators(config)} 

  <!-- the validation errors div -->
    <div id="div:validationerrors" class="validationerrors">
    </div>

    <div class="cool-green-box">
    <div><div><div>

    <form accept-charset="utf-8" method="post" action="/isp/dochangelicense" id="changelicense" name="changelicense">
        <p class="form-title-section">
        <span class="form-title-text"><lang>License Key</lang></span>
        </p>
   	<input type="hidden" name="hidflag" value="0" /> 
   	<input type="hidden" name="from_page" value="${from_page}" /> 
        <table border='0' width='100%'>
            <tr>
                <td class="center-align">
			${renderfield(config['part1'],'TEXT',maxlength='5',size='7',case='upper',id='part1')}
			${renderfield(config['part2'],'TEXT',maxlength='5',size='7',case='upper',id='part2')}
			${renderfield(config['part3'],'TEXT',maxlength='5',size='7',case='upper',id='part3')}
			${renderfield(config['part4'],'TEXT',maxlength='5',size='7',case='upper',id='part4')}
			${renderfield(config['part5'],'TEXT',maxlength='5',size='7',case='upper',id='part5')}
		</td>
            </tr>
            <tr>
                <td class="button-container" align="center" colspan="1" rowspan="1" py:if="level == 0">
                    <input class="button" id="save"  value="${_('Register')}" type="submit" />
                    <input class="button" type="reset" value="${_('Reset')}" />
                </td>
                <td class="button-container" align="center" colspan="1" rowspan="1" py:if="level == 1">
		    <input class="button" name="register" type="submit" id="register" value="${_('Register')}"/>
		    <input class="button" name="continue" type="button" id="continue" value="${_('Continue')}" onClick="document.changelicense.hidflag.value='1'; document.changelicense.submit();"/>
                </td>
                <td class="button-container" align="center" colspan="1" rowspan="1" py:if="level == 2">
		    <input class="button" name="register" type="submit" id="register" value="${_('Register')}"/>
                    <input class="button" type="reset" value="${_('Reset')}" />
                </td>
            </tr>
        </table>
    </form>
    <script charset="utf-8" type="text/javascript">
        registerValidationEvents ();
    </script>
    </div></div></div>
    </div>
        
</body>

</html>
