<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

<!-- 
  Server Administrator dashboard
-->
<?python
 dashboard = lib.xmlutils.ParseXML (GUIROOT + "/static/xml/isp.dashboard.xml")
 num_sections = len(dashboard.findall ('section'))
 num_columns =  int(dashboard.find ('columns').text)
 num_rows = num_sections/num_columns
 sections = dashboard.findall ('section')
 sectionwidth = 100/num_columns
 sectionheight = 100/num_rows
?>

<head>
 <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
 <link rel="stylesheet" py:attrs="{'href': getStyleSheet () }" type="text/css" />
 <title><lang>Server Administrator Dashboard</lang></title>
</head>

<body>
 Number of sections: $num_sections
 <br/>
 Number of columns: $num_columns


 <table class="isp-dashboard">
  <tr>
   <td class="isp-dashboard-title" colspan="${num_columns}"><lang>Server Administrator Dashboard</lang></td>
  </tr>
  <tr py:for="row in range(0,num_rows)">
   <td py:for="col in range(0,num_columns)" width="${sectionwidth}%" height="${sectionheight}%">
    <!-- one table per section -->
    <table width="100%" height="100%">
     <tr>
      <!-- first row is the caption of the section -->
      <td class="isp-dashboard-section-head">${sections[(row * num_columns) + col].find('caption').text}</td>
     </tr>

     <tr>
      <!-- second row is the actual content of the section -->
      <td valign="center">
       <img src="${sections[(row * num_columns) + col].find('image').text}"/>
      </td>
      <td align="right">
       <p py:for="item in sections[(row * num_columns) + col].findall('item')">
        <a href="${item.find('link').text}">${item.find('display').text}</a>
        <br/>
       </p>
      </td>
     </tr>
    </table>
   </td>
  </tr>
 </table>

</body>

</html>

