<html py:extends="'../common/validate.kid','../svc_configs/common.kid','../svc_configs/misc_editsite.kid','../svc_configs/dns.kid','../svc_configs/aliases.kid','../svc_configs/monitor.kid','../svc_configs/syslimits.kid','../svc_configs/webserver.kid','../svc_configs/subdomain.kid','../svc_configs/fileman.kid','../svc_configs/mailaccessprotocol.kid','../svc_configs/mail.kid','../svc_configs/webemail.kid','../svc_configs/mailscanner.kid','../svc_configs/rlogin.kid','../svc_configs/filetransfer.kid','../svc_configs/database.kid','../svc_configs/reseller.kid','../svc_configs/powertools.kid','../svc_configs/ecommerce.kid','../common/renderfield.kid'" xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

<head>
 <!--<meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />-->
 <link rel="stylesheet" py:attrs="{'href': getStyleSheet () }" type="text/css" />
 <title><lang>Edit Site</lang></title>
</head>

<body>

 <!-- Include the validate.js javascript -->
 ${validate_js_function()}

 <?python
   import kidpages.common.actionlog
   import kidpages.common.subnav
   #assigning template instance to variable subnavtmpl for subnav module
   subnavtmpl = kidglobals (kidpages.common.subnav)
   #assigning template instance to variable actionlogtmpl for actionlog module
   actionlogtmpl = kidglobals ( kidpages.common.actionlog )
   message = _("Click OK to disable SSL and switch to Name Based site. Click Cancel to keep the current settings.")
 ?>
 
 <!-- Initialize the validators -->
 ${initialize_validators(config)}

 <div py:replace="subnavtmpl.renderNavBarGroup ()"/>
 <div py:replace="actionlogtmpl.renderActionLog ()"/>
 
 <div id="div:validationerrors" class="validationerrors">
 </div>
 
<div class="cool-green-box">
<div><div><div>
 <form method="post" action="/isp/doeditSite" name="addsiteadv" accept-charset="utf-8">
 <p class="form-title-section">
  <span class="form-title-text"><lang>Edit Site</lang></span>
  <span class="form-help-text"><b><lang>Note:</lang></b></span>
  <span class="tab-1"><lang>1. Input fields will automatically be converted into lower case.</lang></span>
  <br/><span class="tab-1"><lang>2. IP based plans are available to IP based sites only, likewise for Name Based plans.</lang></span>
  <br/><span class="tab-1"><lang>3. Default plan is available to both.</lang></span>
  <br/><span class="tab-1"><lang>4. You should not put www in front of site name.</lang></span>
  <br/><span class="tab-1"><lang>5. To add a site with squirrelmail enabled, you will need approximately 16 MB free space.</lang></span>
  <br/><span class="tab-1">&#160;&#160;&#160;<lang> If the site has MivaMerchant, you will require an additional 11 MB free space.</lang></span>
 </p>
 <table border='0' width='50%' align='center'> 
 ${insert_site_configuration(config,extra)}
 ${insert_misc_configuration(config,extra)}
 ${insert_dns_configuration(config)}
 ${insert_alias_configuration(config)}
 ${insert_monitor_configuration(config)}
 ${insert_syslimits_configuration(config)}
 ${insert_webserver_configuration(config)}
 ${insert_subdomain_configuration(config)}
 ${insert_fileman_configuration(config)}
 ${insert_mailsccessprotocol_configuration(config)}
 ${insert_mail_configuration(config)}
 ${insert_webemail_configuration(config)}
 ${insert_mailscanner_configuration(config)}
 ${insert_rlogin_configuration(config)}
 ${insert_filetransfer_configuration(config)}
 ${insert_ecommerce_configuration(config)}
 ${insert_databases_configuration(config)}
 ${insert_reseller_configuration(config)}
 ${insert_powertools_configuration(config)}
  <tr>
   <td align="center" colspan="2" rowspan="1" class="button-container">
    <input id="editsite" name="editsite" value="${_('Update Site')}" type="submit" class="button" /> 
    <input value="${_('Reset')}" type="reset" class="button" />
    <input type="button" id="cancel" name="cancel" value="${_('Cancel')}" onClick="window.location='/isp/listsites'"/>
    <input type="hidden" name="advance" value="Advance"/>
   </td>
  </tr>
  </table>
 <!-- Need a field to differentiate basic site creation and advance site creation -->
 <input type="hidden" name="editsite_advance" value="1"/>
</form> 
</div></div></div>
</div>
</body>

<!-- Register the events to validate the fields on submit -->
<script charset="utf-8" type="text/javascript">
 registerIDN("siteinfo_domain:siteinfo_email:apache_webserver:proftpd_ftpserver:sendmail_mailserver:mysql_dbaseprefix");
 registerIDN_domainList("aliases_aliases"); 
 registerValidationEvents ();
</script>

 <script language="JavaScript">
 if( document.addsiteadv.ipinfo_namebased.value == 1 ) { 
     document.addsiteadv.ipinfo_ipaddrs.disabled=1;
     document.addsiteadv.openssl_enabled.checked = false;
     document.addsiteadv.openssl_enabled.disabled = 1;
     
  } 
 function enable_IP_addr() 
 {
    if( document.addsiteadv.ipinfo_namebased_upgrade[0].checked == true ) { 
        res = confirm("${message}");
        if(res)
        { 
            document.addsiteadv.openssl_enabled.checked = false;
            document.addsiteadv.openssl_enabled.disabled = 1;
            document.addsiteadv.ipinfo_ipaddrs.value = document.addsiteadv.ipinfo_nbaddrs.value;
            document.addsiteadv.ipinfo_ipaddrs.disabled = 1;
            document.addsiteadv.ipinfo_namebased.value = 1; 
            document.addsiteadv.ipinfo_namebased_upgrade[0].checked = true; 
            document.addsiteadv.ipinfo_namebased_upgrade[1].checked = false; 
         }
         else
         {
            document.addsiteadv.ipinfo_namebased_upgrade[0].checked = false;
            document.addsiteadv.ipinfo_namebased_upgrade[1].checked = true; 
         }
     }
     else {
       document.addsiteadv.openssl_enabled.checked = true;
       document.addsiteadv.openssl_enabled.disabled = 0;
       document.addsiteadv.ipinfo_ipaddrs.disabled = 0;
       document.addsiteadv.ipinfo_namebased.value = 0; 
       document.addsiteadv.ipinfo_ipaddrs.value = document.addsiteadv.ipinfo_ipaddrs_txt.value;
       document.addsiteadv.ipinfo_namebased_upgrade[0].checked = false; 
       document.addsiteadv.ipinfo_namebased_upgrade[1].checked = true; 
     }
  }
 </script>
 
</html>
