<html py:extends="'../svc_configs/common.kid','../common/validate.kid','../common/renderfield.kid'" xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

 <head>
  <title>Edit Time Zone</title>
  <link rel="stylesheet" py:attrs="{'href': getStyleSheet () }" type="text/css" />
  <title><lang>Edit timezone</lang></title>
 </head>
 
 <?python
   import kidpages.common.subnav
   #assigning template instance to variable subnavtmpl for subnav module
   subnavtmpl = kidglobals (kidpages.common.subnav)
   import kidpages.common.actionlog
   #assigning template instance to variable actionlogtmpl for actionlog module
   actionlogtmpl = kidglobals (kidpages.common.actionlog)
   boxsize = "12" #Boxsize is customizable
 ?>

 <body>
  <div py:replace="subnavtmpl.renderNavBarGroup ()"/>
  <div py:replace="actionlogtmpl.renderActionLog ()"/>

  ${validate_js_function()}
  <!--Initialize the validators-->
  ${initialize_validators(config)}

  <!-- the vaidation errors div -->
  <div id="div:validationerrors" class="validationerrors"></div>
   
  <div class="cool-green-box">
  <div><div><div>
  <form accept-charset="utf-8" method="post" action="settimezone">
   <p class="form-title-section">
    <span class="form-title-text"><lang>Edit Time Zone</lang></span>
   </p>
    
   <table border="0" width="50%" align="center">
    <tbody>
     <tr>
      <td>
      ${renderfield(config['timezone'], 'SELECT', size=boxsize)}
      </td>
     </tr>
     <tr>
      <td class="button-container">
       <input class="button" id="save" type="submit" value="${_('Update')}"/>
       <input class="button" type="reset" value="${_('Reset')}"/>
       <input class="button" type="button" value="${_('Cancel')}" onClick='window.location="/isp/timezone"'/>
      </td>
     </tr>
    </tbody>
  </table>
 </form>
<script charset="utf-8" type="text/javascript">
    registerValidationEvents ();
 </script>
 </div></div></div>
 </div>
</body> 
</html>
