<html py:extends="'../common/validate.kid','../common/renderfield.kid'" xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">
 <?python
  import kidpages.common.subnav
  #assigning template instance to variable subnavtmpl for subnav module
  subnavtmpl = kidglobals (kidpages.common.subnav)
  import kidpages.common.actionlog
  #assigning template instance to variable actionlogtmpl for actionlog module
  actionlogtmpl = kidglobals (kidpages.common.actionlog)
  import eplglobals
  pro = isPro()
 ?>

 <head>
     <meta content="text/html; charset=utf-8" http-equiv="content-type" />
     <link rel="stylesheet" py:attrs="{'href':getStyleSheet()}" type="text/css" />
     <title>$display_view</title>
 </head>

 <body>
     <div py:replace="subnavtmpl.renderNavBarGroup ()"/>
     <div py:replace="actionlogtmpl.renderActionLog ()"/>

     <div class="cool-green-box" style="margin-left:0px;margin-right:0px;">
     <div><div><div>

     <form name="editmotdpreferences" action="/isp/doeditmotdsettings" method = "POST" accept-charset="utf-8">
     <p class="form-title-section">
     <span  class="form-title-text-transform"><lang>Ensim Announcement Settings</lang></span>
     <table border="0" width="100%">
     <tbody>
      <tr>
        <td>
            ${renderfield(config['motd_disabled'], 'BOOLCHECKBOX')}
            <lang>Ignore announcements from Ensim</lang>
        </td>
      </tr>
      <tr>
        <td class="button-container">
          <input id="update" name="update" value="${_('Update')}" type="submit" /> 
        </td>
      </tr> 
     </tbody>
     </table>
     </p>
     </form>
     </div></div></div>
     </div>
     
    <?python
     import kidpages.common.fliplist
     #assigning template instance to variable fliplisttmpl for fliplist module
     fliplisttmpl = kidglobals (kidpages.common.fliplist)
     from lib.datamodel.datatypes import Entry, EntryList, EntryView, EntryListView
     from lib.datamodel.controls import FlipList, Column

     datalist = FlipList (title=list_title,buttons=motdbuttons)
     datalist.entryList = EntryList ( Entry, display_data)
     datalist.columns = column_list
     datalist.entryListView = EntryListView (entryview, datalist.entryList)
     datalist.viewName = display_view
    ?>
     <script src="/static/js/fliplist.js" charset="utf-8" type="text/javascript">
     </script>
     <script src="/static/js/xmldom.js" charset="utf-8" type="text/javascript">
     </script>
     <script src="/static/js/confirm.js" charset="utf-8" type="text/javascript">
     </script>

     <div class="fliplist-help-text-section1">
     <span class="fliplist-help-text1" py:if="pro == 'True'"><b><lang>You can publish a maximum of 5 messages to the Reseller/Site Administrator.</lang></b></span>
     <span class="fliplist-help-text1" py:if="pro == 'False'"><b><lang>You can publish a maximum of 5 messages to the Site Administrator.</lang></b></span>
     <span class="tab-1" py:if="pro == 'True'"><lang>Number of messages published for Reseller Administrators:</lang><b> ${RA_count} </b></span>
     <br/><span class="tab-1"><lang>Number of messages published for Site Administrators:</lang><b> ${SA_count}</b></span>
     </div>
     <div py:replace="fliplisttmpl.renderFlipList (datalist)">
     </div>
 </body>
</html>
