<html py:extends="'../svc_configs/common.kid','../svc_configs/misc.kid','../common/validate.kid','../common/renderfield.kid'" 
      xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

<head>
 <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
 <link rel="stylesheet" py:attrs="{'href': getStyleSheet () }" type="text/css" />
 <title><lang>Add Site</lang></title>
</head>

<body>

 <!-- Include the validate.js javascript -->
 ${validate_js_function()}

 <?python
  import kidpages.common.actionlog
  import kidpages.common.subnav
  #assigning template instance to variable subnavtmpl for subnav module
  subnavtmpl = kidglobals (kidpages.common.subnav)
  #assigning template instance to variable actionlogtmpl for actionlog module
  actionlogtmpl = kidglobals ( kidpages.common.actionlog )
  if extra['ipinfo_namebased']=='0':
      form_title = _("Add IP-based Site")
      url1 = "/reseller/doaddIpsite"
      url2 = "/reseller/addIpsiteadv"
  elif extra['ipinfo_namebased']=='1':
      form_title = _("Add Name-based Site")
      url1 = "/reseller/doaddNbsite" 
      url2 = "/reseller/addNbsiteadv"
 ?>

 <!-- Initialize the validators -->
 ${initialize_validators(config)}

 <!-- display the subnavigation bar -->
 <div py:replace="subnavtmpl.renderNavBarGroup ()"/>
 <div py:replace="actionlogtmpl.renderActionLog ()"/>

 <!-- the validation errors div -->
 <div id="div:validationerrors" class="validationerrors">
 </div>

 <div class="cool-green-box">
  <div><div><div>
   <form method="post"  action="$url1" name="addsiteform" id="addsiteform" accept-charset="utf-8">
   <p class="form-title-section">
    <span class="form-title-text"> $form_title </span>
    <span class="form-help-text"><b><lang>Note:</lang></b></span>
    <span class="tab-1"><lang>1. Input fields will automatically be converted into lower case.</lang></span>
    <br/><span class="tab-1"><lang>2. IP based plans are available to IP based sites only, likewise for Name Based plans.</lang></span>
    <br/><span class="tab-1"><lang>3. Default plan is available to both.</lang></span>
    <br/><span class="tab-1"><lang>4. You should not put www in front of site name.</lang></span>
    <br/><span class="tab-1"><lang>5. To add a site with squirrelmail enabled, you will need approximately 16 MB free space.</lang></span>
    <br/><span class="tab-1">&#160;&#160;&#160;<lang>If the site has MivaMerchant, you will require an additional 11 MB free space.</lang></span>
   </p>
   <table border='0' width='50%' align='center'>
   <tbody>
    <!-- Inserting the site information table --> 
    ${insert_site_configuration(config,extra)}
    ${insert_misc_configuration(config,extra)}
      <tr>
       <td class="button-container" align="center" colspan="2" rowspan="1">
        <input class="button" id="addsite" name="addsite" value="${_('Add Site')}" type="submit"/>
        <input class="button" name="advance" value="${_('Advanced')}" type="button"
        onclick="document.addsiteform.action='$url2';document.addsiteform.submit();"/>
    <!-- Standard cancel and reset buttons for form-->
        <input class="button" type="reset" value="${_('Reset')}" />
        <input type="button" id="cancel" name="cancel" value="${_('Cancel')}" onClick="window.location='/reseller/listsites'"/>
       </td>
      </tr>
     </tbody>
    </table>

   </form>
  </div></div></div>
 </div>
</body>

<!-- Register the events to validate the fields on submit -->
<script charset="utf-8" type="text/javascript">
 registerIDN("siteinfo_domain:siteinfo_email");
 registerValidationEvents ();
</script>

</html>
