<html py:extends="'../common/validate.kid','../common/renderfield.kid'" xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

<head>
    <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
    <link rel="stylesheet" py:attrs="{'href': getStyleSheet () }" type="text/css" />
    <title><lang>Edit Message</lang></title>
</head>

<body>

<?python
  import kidpages.common.actionlog
  import kidpages.common.subnav
  #assigning template instance to variable subnavtmpl for subnav module
  subnavtmpl = kidglobals (kidpages.common.subnav)
  #assigning template instance to variable actionlogtmpl for actionlog module
  actionlogtmpl = kidglobals (kidpages.common.actionlog)
?>

<div py:replace="subnavtmpl.renderNavBarGroup ()"/>
<div py:replace="actionlogtmpl.renderActionLog ()"/>

<!-- Include the validate.js javascript -->
${validate_js_function()}

<!-- Initialize the validators -->
${initialize_validators(config)}

<!-- the validation errors div -->
<div id="div:validationerrors" class="validationerrors">
</div>
<div class="cool-green-box">
<div><div><div> 

 <form accept-charset="utf-8" method="post" action="doeditmsg" name="updatemsg">
 <p class="form-title-section">
  <span class="form-title-text"><lang>Edit Message</lang></span>
  </p>
   <table border="0" width="50%" align="center">
    <tbody>
     <tr>
      <td><lang>Message Title</lang></td>
        <td>${renderfield(config['title'], 'TEXT')}</td>
     </tr>
     <tr>
      <td><lang>Intended Audience</lang></td>
   <td><lang>Site Administrator</lang></td>
     </tr>
     <tr>
    <td><lang>Message Format</lang></td>
   <td> 
        ${renderfield (config['content_type'], 'SELECT')}
    </td>
     </tr>
     <tr>
      <td><lang>Message</lang></td>
      <td> <textarea id="content" cols="30" rows="10" name="content">${config['content'].field_dict['value']}</textarea> </td>
     </tr>

     <tr>
   <td align="center" colspan="2" rowspan="1" class="button-container">
       <input class="button" id="button_addmsg" name="update" type="submit" value="${_('Update')}"/>
       <input class="button" type="button" value="${_('Cancel')}" onClick='window.location="/reseller/listmotd"'/>
       <input type="hidden" name="id" py:attrs="{'value':config['id'].field_dict['value']}"/>
       <input type="hidden" name="category" value="SA"/>
      </td>
     </tr>
    </tbody>
  </table>
 </form>
<!-- Register the events to validate the fields on submit -->
<script charset="utf-8" type="text/javascript">
    registerValidationEvents ();
</script>
 </div></div></div>
 </div>
</body> 
</html>
