<html py:extends="'../common/validate.kid','../common/renderfield.kid'" xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">
<?python
 import kidpages.common.fliplist
 #assigning template instance to variable fliplisttmpl for fliplist module
 fliplisttmpl = kidglobals (kidpages.common.fliplist)
 from lib.datamodel.datatypes import Entry, EntryList, EntryView, EntryListView
 from lib.datamodel.controls import FlipList, Column
 import kidpages.common.subnav
 #assigning template instance to variable subnavtmpl for subnav module
 subnavtmpl = kidglobals (kidpages.common.subnav)

 datalist = FlipList (title=list_title,buttons=motdbuttons)

 datalist.entryList = EntryList ( Entry, display_data)
 datalist.columns = column_list
 datalist.entryListView = EntryListView (entryview, datalist.entryList)
 datalist.viewName = display_view

 # we need to display the actionlog status
 import kidpages.common.actionlog
 #assigning template instance to variable actionlogtmpl for actionlog module
 actionlogtmpl = kidglobals (kidpages.common.actionlog)
?>

<head>
 <meta content="text/html; charset=utf-8" http-equiv="content-type" />
 <link rel="stylesheet" py:attrs="{'href':getStyleSheet()}" type="text/css" />
 <title>$display_view</title>
 <script src="/static/js/fliplist.js" charset="utf-8" type="text/javascript">
 </script>
 <script src="/static/js/xmldom.js" charset="utf-8" type="text/javascript">
 </script>
 <script src="/static/js/confirm.js" charset="utf-8" type="text/javascript">
 </script>
 </head>

<body>
 <div py:replace="subnavtmpl.renderNavBarGroup ()"/>
 <div py:replace="actionlogtmpl.renderActionLog ()"/>
 <div class="fliplist-help-text-section2">
 <span class="fliplist-help-text2"><b><lang>You can publish a maximum of 5 messages to the Site Administrator.</lang></b></span>
 <span class="tab-1"><lang>Number of messages published for Site Administrators:</lang><b> ${SA_count} </b></span>
 </div>
 <div py:replace="fliplisttmpl.renderFlipList (datalist)">
 </div>
</body>
</html>
