<html py:extends="'../svc_configs/common.kid'" xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

<?python
 import kidpages.common.fliplist
 #assigning template instance of variable fliplisttmpl for fliplist module
 fliplisttmpl = kidglobals (kidpages.common.fliplist)
 from lib.datamodel.datatypes import Entry, EntryList, EntryView, EntryListView
 from lib.datamodel.controls import FlipList, Column

 summary = FlipList (title=list_title)
 summary.entryList = EntryList ( Entry, display_data)
 summary.columns = column_list
 summary.entryListView = EntryListView (entryview, summary.entryList)
 summary.viewName = display_view

 # we need to display the actionlog status
 import kidpages.common.actionlog
 #assigning template instance of variable actionlogtmpl for actionlog module
 actionlogtmpl = kidglobals (kidpages.common.actionlog)
?>

<head>
 <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
 <link rel="stylesheet" py:attrs="{'href': getStyleSheet () }" type="text/css" />
 <title><lang>Reseller Summary</lang></title>
 <script src="/static/js/fliplist.js" charset="utf-8" type="text/javascript">
 </script>
 <script src="/static/js/xmldom.js" charset="utf-8" type="text/javascript">
 </script>
 <script src="/static/js/confirm.js" charset="utf-8" type="text/javascript">
 </script>
</head>

<?python
  import kidpages.common.subnav
  #assigning template instance of variable aubnavtmpl for subnav module
  subnavtmpl = kidglobals (kidpages.common.subnav)
?>

<div py:replace="subnavtmpl.renderNavBarGroup ()"/>
<div py:replace="actionlogtmpl.renderActionLog ()"/>
  

<?python
  import eplglobals
  username = info['username']
  if float(info['total_quota']) < 1:
      diskquota = str(eplglobals.fromByte(info['alloc_quota'],'MB')) + " / " + _("Unlimited")
  else:
      diskquota = str(eplglobals.fromByte(info['alloc_quota'],'MB')) + " / " + str(eplglobals.fromByte(info['total_quota'],'MB'))
      
  if float(info['total_threshold']) < 1:
      bandwidth = str(eplglobals.fromByte(info['alloc_threshold'],'MB')) + " / " + _("Unlimited")
  else:
      bandwidth = str(eplglobals.fromByte(info['alloc_threshold'],'MB')) + " / " + str(eplglobals.fromByte(info['total_threshold'],'MB'))
      

  namebased = str(info['alloc_namebased']) + " / " + str(info['total_namebased'])
  ipbased = str(info['alloc_ipbased']) + " / " + str(info['total_ipbased'])
  usercount = str(info['alloc_maxusers']) + " / " + str(info['total_maxusers'])
?>

<body>
  <p class="form-title-section">
    <span class="form-title-text">[ $username ]</span>
  </p>
 <table width="100%" class="fliplist">
 <thead>
    <tr>
	<th><lang>Username</lang></th>
	<th><lang>Disk(MB)</lang></th>
	<th><lang>Bandwidth(MB)</lang></th>
	<th><lang>Name Based</lang></th>
	<th><lang>IP Based</lang></th>
	<th><lang>Users</lang></th>
    </tr>
 </thead>
    <tr>
	<td>$username</td>
	<td>$diskquota</td>
	<td>$bandwidth</td>
	<td>$namebased</td>
	<td>$ipbased</td>
	<td>$usercount</td>
    </tr>	
 </table>
 <div py:replace="fliplisttmpl.renderFlipList (summary)"/>
</body>

</html>
