<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

 <p py:def="insert_dns_configuration(config)">

  <?python
    master = _("The zone type is 'Master'.")
    slave = _("The zone type is 'Slave'.")
    forward = _("The zone type is 'Forward'.")
  ?>  
  <script>
    function masterslaveinfo(){
        if(document.getElementById("bind_master").value == document.getElementById("hostname").value){
            alert("${master}");
        }
        else{
            var slave_array = new Array();
            slave_array = document.getElementById("bind_slaves").value.split('\n');
            var i;
            var flag = 0;
            for(i in slave_array)
            {
                if (slave_array[i] == document.getElementById("hostname").value)
                {
                    flag = 1;
                }
            }
            if (flag == 1)
            {
                alert("${slave}");
            }
            else{
                alert("${forward}");
            }
        }
        
    }
  </script> 
  <tr><th rowspan="1" colspan="2"><lang>Step 2: Service Plan</lang></th></tr>
  
  <tr py:if="isServiceEnabled('bind')">
    <th class="th2" rowspan="1" colspan="2"><lang>DNS</lang></th>
  </tr>
  
  <tr py:if="isServiceEnabled('bind')">
   <td><lang>Add to DNS</lang></td>
   <td>
    ${renderfield(config['bind_enabled'], 'BOOLCHECKBOX')}
   <!--<input type="checkbox" name="bind_enabled" py:attrs="{'checked': config['bind_enabled'].field_dict['checked'],
   'value':config['bind_enabled'].field_dict['value'] }"/>-->
   </td>
  </tr> 
  <tr py:if="isServiceEnabled('bind')">
   <td><lang>Enable Zone Management</lang></td>
   <td>
    ${renderfield(config['bind_zone_mgmt'], 'BOOLCHECKBOX')}
   </td>
  </tr>
  <tr py:if="isServiceEnabled('bind')">
   <td><lang>Enable DNS Logging</lang></td>
   <td>
    ${renderfield(config['bind_dns_log'], 'BOOLCHECKBOX')}
   </td>
  </tr>
  <tr py:if="isServiceEnabled('bind')">
   <td><lang>Master</lang></td>
   <td>
    <a py:if="'old_bind_master' in config">
     <input type="hidden" name="old_bind_master" py:attrs="{'value':config['old_bind_master'].field_dict['value']}"/>
    </a>
    <a py:if="'old_bind_master' not in config">
     <input type="hidden" name="old_bind_master" py:attrs="{'value':config['bind_master'].field_dict['value']}"/>
    </a>
    <input id="bind_master" name="bind_master" py:attrs="{'value':config['bind_master'].field_dict['value']}"/>
   </td>
  </tr>
  <?python
    slavelist = ''
    slavelist = config['bind_slaves'].field_dict['value'].replace(",","\r\n")
    
    import os
    hostname = os.uname()[1]
  ?>
  <input type="hidden" name="hostname" id="hostname" value="$hostname"/>
  <tr py:if="isServiceEnabled('bind')">
   <td><lang>Slaves (one per line)</lang></td>
   <td py:if="slavelist==''">
    <textarea id="bind_slaves" name="bind_slaves" cols="40" rows="4"></textarea>
    <a href='javascript:masterslaveinfo();' onMouseOver="status='Click here to test Zone Type.'; return true;" onMouseOut="status=''; return true;" onMouseClick="status='' return true;"><img src="/static/images/warning.gif" border="0" alt="Click here to test Zone Type." align="absmiddle"/></a>
   </td>
   <td py:if="slavelist!=''">
    <textarea id="bind_slaves" name="bind_slaves" cols="40" rows="4">$slavelist</textarea>
    <a href='javascript:masterslaveinfo();' onMouseOver="status='Click here to test Zone Type.'; return true;" onMouseOut="status=''; return true;" onMouseClick="status='' return true;"><img src="/static/images/warning.gif" border="0" alt="Click here to test Zone Type." align="absmiddle"/></a>
   </td>
   <a py:if="'old_bind_slaves' in config">
    <input type="hidden" name="old_bind_slaves" py:attrs="{'value':config['old_bind_slaves'].field_dict['value']}"/> 
   </a> 
   <a py:if="'old_bind_slaves' not in config">
    <input type="hidden" name="old_bind_slaves" py:attrs="{'value':config['bind_slaves'].field_dict['value']}"/> 
   </a> 
  </tr> 
 </p>
 </html>
