<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">
 <p py:def="insert_misc_configuration(config,extra)">
    
    <?python
        current_role = eplapiCurrentUser().role
        reseller_info = eplapiCurrentUser().info
        if current_role == 'reseller':
            is_reseller_high_security = bool(reseller_info['require_jailed_telnet'] and reseller_info['require_jailed_apache'] and reseller_info['require_jailed_ssh'])
        else:
            is_reseller_high_security = False
    ?>
            
 <p py:if="extra['is_pro']=='True'">
    <p py:if="current_role=='reseller' and is_reseller_high_security==True">
        <input type="hidden" name="siteinfo_security" value="high" />
    </p>
    <p py:if="current_role=='isp' or (current_role=='reseller' and is_reseller_high_security==False)">
  <tr>
   <td><lang>Security Level</lang></td>
   <td>
   <span py:if="extra['siteinfo_security']=='medium'">
   <input type="radio" name="siteinfo_security" value="high"/><lang>High</lang><input type="radio"  name="siteinfo_security" value="medium" checked="True"/><lang>Medium</lang><input type="radio" name="siteinfo_security" value="low"/><lang>Low</lang>
   </span>
   <span py:if="extra['siteinfo_security']=='low'">
    <input type="radio" name="siteinfo_security" value="high"/><lang>High</lang><input type="radio"  name="siteinfo_security" value="medium" /><lang>Medium</lang><input type="radio" name="siteinfo_security" value="low" checked="True"/><lang>Low</lang>
   </span>
   <span py:if="extra['siteinfo_security']=='high'">
   <input type="radio" name="siteinfo_security" value="high" checked="True"/><lang>High</lang><input type="radio"  name="siteinfo_security" value="medium" /><lang>Medium</lang><input type="radio" name="siteinfo_security" value="low"/><lang>Low</lang>
   </span>
   <?python
    message =  _('High Security:') + "\\n"
    message += _('High security allows safe remote access ( Telnet,SSH ) and CGI scripting environment. This setting secures the sites data from other users on this server and is recommended for shared hosting environments or sites that allow CGI and or remote access.') + "\\n"
    message += _('Low Security:') + "\\n"
    message += _('Low security allows remote services (Telnet,SSH ) and CGI scripts access to the whole server,including other users data on the server. This level is recommended only for trusted users, and should not be used in shared hosting environments.') + "\\n"
    message += _('Medium Security:') + "\\n"
    message += _('Medium security should be used only if you are upgrading from WEBppliance 3.1. This allows a site to retain its settings to allow CGI scripts to run without modification.') + "\\n"
    message += _('For further details, refer to the topic Overview of Site Security Levels in the Help Section')
   ?>
   <a href='javascript:alert("${message}");' onMouseOver="status='Click here for a tip.'; return true;" onMouseOut="status=''; return true;" onMouseClick="status=''; return true;"><img src="/static/images/warning.gif" border="0" alt="Click here for a tip." align="absmiddle" /></a>
   </td>
  </tr>  
  <tr>
    <p py:if="extra['ipinfo_namebased']=='0'">
      <td><lang>Site Type </lang></td>
      <td><input type="radio" name="ipinfo_namebased_upgrade" value="0" onClick="enable_IP_addr()" /><lang>Name Based Site</lang><input type="radio" name="ipinfo_namebased_upgrade"  checked="True" value="1" onClick="enable_IP_addr()" /><lang>IP Based Site</lang></td>
    </p>
    <p py:if="extra['ipinfo_namebased']=='1'">
      <td><lang>Site Type </lang></td>
      <td><input type="radio" name="ipinfo_namebased_upgrade" value="0" checked="True" onClick="enable_IP_addr()" /><lang>Name Based Site</lang><input type="radio" name="ipinfo_namebased_upgrade" value="1" onClick="enable_IP_addr()" /><lang>IP Based Site</lang></td>
    </p>
  </tr> 
  </p>
  <p py:if="extra['ipinfo_namebased']=='0'">
  <tr>
    <td><lang>IP Address</lang></td>
    <td>
        <input type="text" name="ipinfo_ipaddrs" py:attrs="{'value':config['ipinfo_ipaddrs'].field_dict['value']}"/>
        <input type="hidden" name="ipinfo_ipaddrs_txt" py:attrs="{'value': config['ipinfo_ipaddrs'].field_dict['value']}"/>
    </td>
  </tr>
  </p>
  <p py:if="extra['ipinfo_namebased']=='1'">
  <tr>
    <td><lang>IP Address</lang></td>
    <td>
        <input type="text" name="ipinfo_ipaddrs" py:attrs="{'value':config['ipinfo_nbaddrs'].field_dict['value']}" disabled="disabled"/>
        <input type="hidden" name="ipinfo_ipaddrs_txt" value=""/>
    </td>
  </tr>
 </p>
 <input type="hidden" name="ipinfo_namebased" py:attrs="{'value':extra['ipinfo_namebased']}"/>
 <input type="hidden" name="ipinfo_nbaddrs" py:attrs="{'value': config['ipinfo_nbaddrs'].field_dict['value']}"/>
  <p py:if="extra['is_pro']=='True'">
   <tr>
    <td><lang>Select a Service Plan</lang></td>
    <td>
    <?python
       fun = "editSite"
       optdict = {}
       for opt in config['plan_name'].options:
           if not opt.field_dict['selected']:
               optdict[opt.field_dict['value']] = {}
           else:
               optdict[opt.field_dict['value']] = {'selected':'1'}
    ?>
     <select name="plan_name" onchange="javascript:if (this.selectedIndex!=0){ document.addsiteadv.action='$fun';document.addsiteadv.submit()}">
       <option value="none"><lang>Select One</lang></option>
       <option py:for="opt in config['plan_name'].options" py:content="opt.field_dict['Label']" py:attrs="optdict[opt.field_dict['value']]" value="${opt.field_dict['value']}"/>
     </select>
    </td>
   </tr>
  </p>
  </p>
  <p py:if="extra['is_pro']=='False'">
  <input type="hidden" name="plan_name" value="default" />
  <input type="hidden" name="siteinfo_security" value="low" />
  </p>
</p>
 </html>
