<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

 <p py:if="isServiceEnabled('scriptsmgr')" py:def="insert_powertools_configuration(config)">
  <th class="th2" rowspan="1" colspan="2"><lang>Power Tools</lang></th>
  <tr>
   <td><lang>Enable Power Tools</lang></td>
   <td>
   ${renderfield(config['scriptsmgr_enabled'], 'BOOLCHECKBOX')}
   <?python
        message = _('Clearing this check box disables Power Tools for the site and prevents the Site Administrator from installing or managing any tools.  If you disable Power Tools but select individual tools, those tools are still disa bled.  However, they are remembered and recalled if you enable Power Tools later.')
   ?>
   <a href="javascript:alert('${message}');" onMouseOver="status='Click here for a tip.'; return true;" onMouseOut="status=''; return true;" onMouseClick="status=''; return true;"><img src="/static/images/warning.gif" border="0" alt="Click here for a tip." align="absmiddle" /></a>
   </td>
  </tr>
  
  <?python 
    count = 0
    i = 0
    powertools_dict = {}
    powertools_tuple = []
    for service in config :
        if service.startswith('scriptsmgr_') and service !='scriptsmgr_enabled':
            if (count % 2) == 0:
                powertools_tuple.insert(i,powertools_dict)
                powertools_dict = {}
                i = i + 1
            powertools_dict.update({service:config[service]})
            count = count + 1
    powertools_tuple.insert(i,powertools_dict)

  ?>

    <script language="JavaScript">
        function scriptsmgr_updateCheckboxes(containerObj,newval){
             f = document.getElementById(containerObj).getElementsByTagName("INPUT");
             var i=0
             for (var i = 0; i!=(f.length)-1; i++) {
                 if(f[i].type.toUpperCase() == "CHECKBOX")
                 {
                     f[i].checked = newval;
                 }
             }
        }
    </script>
    
  <p py:if="count != 0">          
      <tr><td colspan="2">
      <br/>
       <lang>Select the tools to enable for the site (tools are enabled only if Power Tools is selected above):</lang> (<a href="#tagged_scriptsmgr" onclick="scriptsmgr_updateCheckboxes('selectPowerTool',true)"><lang>Select All</lang></a> <a href="#tagged_scriptsmgr" onclick="scriptsmgr_updateCheckboxes('selectPowerTool',false)"><lang>Unselect All</lang></a>)
    <br/>
    <br/>
      </td>
    </tr>
 </p>
 
  <!--<tr><td colspan="2" style="padding:0px 5% 0px 5%;"><table align="center" id="selectPowerTool">-->
  <tr><td colspan="2" class="padding"><table align="center" id="selectPowerTool">
   <p py:for="powertools in powertools_tuple">
        <tr>
        <p py:for="powertool in powertools">
            <td>${renderfield(powertools[powertool], 'BOOLCHECKBOX')} ${powertools[powertool].field_dict['Label']}</td>
        </p>
        </tr>
   </p>
   </table></td></tr>
 </p>
 </html>
