<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

 <p py:if="isServiceEnabled('subdomain')" py:def="insert_subdomain_configuration(config)">
  <th class="th2" rowspan="1" colspan="2"><lang>Subdomains</lang></th>
  <tr>
   <td><lang>Subdomain Interface</lang></td>
   <td>
   ${renderfield(config['subdomain_enabled'], 'BOOLCHECKBOX')}
   <!--<input type="checkbox" name="subdomain_enabled" py:attrs="{'checked':
   config['subdomain_enabled'].field_dict['checked'], 'value':config['subdomain_enabled'].field_dict['value'] }" />-->
   </td>
  </tr> 

  <tr>
   <td class="tab-1"><lang>Subdomain Wildcards</lang></td>
   <td>
   ${renderfield(config['subdomain_wildcards'], 'BOOLCHECKBOX')}
   </td>
  </tr> 

  <tr>
   <td class="tab-1"><lang>Maximum Subdomains [-1 for Unlimited]</lang></td>
   <td><input name="subdomain_max" py:attrs="{'value': config['subdomain_max'].field_dict['value']}" /></td>
  </tr>

  <?python
    svc = eplapi.services('subdomain')
    if 'siteinfo_domain' in config:
        domain = config['siteinfo_domain'].field_dict['value']
        try:
            no_of_subdomains = len(svc.listSubdomains(domain))
        except:
            no_of_subdomains = 0
    else:
        no_of_subdomains = 0
  ?>  
  <tr>
   <td class="tab-1"><lang>Base Directory</lang></td>
   <td py:if="no_of_subdomains==0"><input name="subdomain_base" case="lower" py:attrs="{'value': config['subdomain_base'].field_dict['value']}" /></td>
   <td py:if="no_of_subdomains>0"><input name="subdomain_base" case="lower" disabled="disabled" py:attrs="{'value': config['subdomain_base'].field_dict['value']}" /></td>
  </tr>

 </p>
 </html>
