<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

 <p py:if="isServiceEnabled('diskquota') or isServiceEnabled('users')" py:def="insert_syslimits_configuration(config)">
  <th class="th2" rowspan="1" colspan="2"><lang>System Limits</lang></th>
  
  <tr py:if="isServiceEnabled('diskquota')">
   <td><lang>Disk Quota</lang></td>
   <td>
   ${renderfield(config['diskquota_enabled'], 'BOOLCHECKBOX')}
   <!--<input type="checkbox" name="diskquota_enabled" py:attrs="{'checked':
   config['diskquota_enabled'].field_dict['checked'], 'value':config['diskquota_enabled'].field_dict['value'] }" />-->
   </td>
  </tr> 

  <tr py:if="isServiceEnabled('diskquota')">
   <td class="tab-1"><lang>Allocated Disk Quota (MB)</lang></td>
   <td><input name="diskquota_quota" py:attrs="{'value': config['diskquota_quota'].field_dict['value']}" /></td>
  </tr> 

  <tr py:if="isServiceEnabled('users')">
   <td><lang>User Quota</lang></td>
   <td py:if="eplapiCurrentUser().role=='isp'">
   ${renderfield(config['users_enabled'], 'BOOLCHECKBOX')}
   </td>
   <td py:if="eplapiCurrentUser().role=='reseller'">
   <input type="checkbox" name="users_enabled" disabled="True" py:attrs="{'checked': config['users_enabled'].field_dict['checked'],'value':config['users_enabled'].field_dict['value'] }" />
   </td>
  </tr> 

  <tr py:if="isServiceEnabled('users')">
   <td class="tab-1"><lang>Max Users</lang></td>
   <td><input name="users_maxusers" py:attrs="{'value':config['users_maxusers'].field_dict['value']}" /></td>
  </tr> 
 </p>
 </html>
