<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

 <p py:if="isServiceEnabled('apache') or isServiceEnabled('cgi') or isServiceEnabled('frontpage') or isServiceEnabled('mod_perl') or isServiceEnabled('openssl') or isServiceEnabled('ssi') or isServiceEnabled('tomcat4') or isServiceEnabled('weblogs') " py:def="insert_webserver_configuration(config)"> 

  <?python
    current_role = eplapiCurrentUser().role
    reseller_info = eplapiCurrentUser().info
    if current_role == 'reseller':
        is_reseller_high_security = bool(reseller_info['require_jailed_telnet'] and reseller_info['require_jailed_apache'] and reseller_info['require_jailed_ssh'])
    else:
        is_reseller_high_security = False
  ?>
 
  <th class="th2" rowspan="1" colspan="2"><lang>Web Server</lang></th>
  
  <tr py:if="isServiceEnabled('apache')">
   <td><lang>Apache Web Server</lang></td>
   <td>
   ${renderfield(config['apache_enabled'], 'BOOLCHECKBOX')}
   </td>
  </tr> 

  <tr py:if="isServiceEnabled('apache')">
   <td class="tab-1"><lang>Web Server Name</lang></td>
   <td><input id="apache_webserver" name="apache_webserver" case="lower"  py:attrs="{'value':idn(config['apache_webserver'].field_dict['value'])}" /></td>
  </tr> 

  <tr py:if="isServiceEnabled('cgi')">
   <td class="tab-1"><lang>CGI</lang></td>
   <td>
   ${renderfield(config['cgi_enabled'], 'BOOLCHECKBOX')}
   </td>
  </tr> 

  <tr py:if="isServiceEnabled('cgi')">
   <td class="tab-2"><lang>Script Alias</lang></td>
   <td><input name="cgi_scriptalias" case="lower"  py:attrs="{'value':config['cgi_scriptalias'].field_dict['value']}" /></td>
  </tr>

  <script language="JavaScript">
    function toggleCheckbox(me,group)
    {
      // Makes all checkboxes in "group" behave like radio button
      // This function should be called on "onclick" event of each checkbox
      // in the group
      var me_checked = me.checked;
      if (me_checked)
      {
        for (var i = 1; i != arguments.length; i++)
        {
          var ckboxInMyGroup = document.getElementById(arguments[i]);
          if (ckboxInMyGroup.checked)
            ckboxInMyGroup.checked = false;
        }
        me.checked = me_checked; // restore checkbox action
      }
    }
  </script>

  <tr py:if="isServiceEnabled('frontpage')">
   <td class="tab-1"><lang>FrontPage Server Extensions</lang></td>
   <td>
   ${renderfield(config['frontpage_enabled'], 'BOOLCHECKBOX')}
   <lang> Frontpage will be deprecated in future versions </lang>
   </td>
  </tr>
  
  <tr py:if="isServiceEnabled('webdav')">
   <td class="tab-1"><lang>WebDAV Server</lang></td>
   <td>
   ${renderfield(config['webdav_enabled'], 'BOOLCHECKBOX')}
   </td>
  </tr>
  
  <tr py:if="isServiceEnabled('mod_perl')">
   <td class="tab-1"><lang>Modperl for Apache</lang></td>
   <td>
   ${renderfield(config['mod_perl_enabled'], 'BOOLCHECKBOX')}
   </td>
  </tr> 

  <tr py:if="isServiceEnabled('mod_perl')">
   <td class="tab-2"><lang>Alias</lang></td>
   <td><input name="mod_perl_alias" case="lower" py:attrs="{'value':config['mod_perl_alias'].field_dict['value']}" /></td>
  </tr>
 
  <tr py:if="isServiceEnabled('openssl')">
   <td class="tab-1"><lang>Secure Web (SSL)</lang></td>
   <td>
   ${renderfield(config['openssl_enabled'], 'BOOLCHECKBOX')}
   </td>
  </tr> 
  
  <tr py:if="isServiceEnabled('ssi')">
   <td class="tab-1"><lang>Server Side Includes</lang></td>
   <td>
   ${renderfield(config['ssi_enabled'], 'BOOLCHECKBOX')}
   </td>
  </tr> 

  <tr py:if="isServiceEnabled('tomcat4')">
   <td class="tab-1"><lang>Tomcat 4</lang></td>
   <td>
   ${renderfield(config['tomcat4_enabled'], 'BOOLCHECKBOX')}
   </td>
   <td py:if="current_role=='reseller' and is_reseller_high_security==True">
        <script language="JavaScript">
            document.addsiteadv.tomcat4_enabled.checked = false;
            document.addsiteadv.tomcat4_enabled.disabled = 1;
        </script>
   </td>
  </tr>

  <tr py:if="isServiceEnabled('weblogs')">
   <td class="tab-1"><lang>Generate Web Logs</lang></td>
   <td>
   ${renderfield(config['weblogs_enabled'], 'BOOLCHECKBOX')}
   </td>
  </tr> 

 </p>
 </html>
