<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:saxon="http://icl.com/saxon"
 xmlns:tgt="http://www.w3.org/1999/xhtml"
 xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
 exclude-result-prefixes="saxon fn tgt"
 version="1.0"
>

<!--
 this stylesheet looks for the <lang> text inside a kid page, and tells 
 you which file, and which line, the <lang> tag was found
-->

<xsl:param name="docname"><xsl:value-of select="'none'"/></xsl:param>

<xsl:output method="xml" omit-xml-declaration="yes"/>

<xsl:template match="tgt:lang">
 <string>
  <msgid><xsl:value-of select="."/></msgid>
  <line><xsl:value-of select="saxon:line-number()"/></line>
  <file><xsl:value-of select="$docname"/></file>
 </string>
</xsl:template>

<xsl:template match="text()|@*"/>

</xsl:stylesheet>
