<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY raquo "&#187;">
]>

<!--
$Id: siteuser.top.xsl,v 1.2 2008/03/04 16:08:17 asmirnova Exp $
$Log: siteuser.top.xsl,v $
Revision 1.2  2008/03/04 16:08:17  asmirnova
Added "Reloaded" design

Revision 1.2  2008/02/21 20:31:50  agordienko
added paralels logo and copyright

Revision 1.1.1.1  2007/12/17 10:08:22  andrew
initial swsoft import

Revision 1.8  2006/05/18 10:18:55  msahani
displaying punycoded domain name below the idn representation.

Revision 1.7  2006/04/17 06:49:35  agore
to set logo src path

Revision 1.6  2006/04/04 13:23:26  msahani
*** empty log message ***

Revision 1.5  2006/04/04 09:49:12  msahani
enabling localization of displayed strings.

Revision 1.4  2006/04/03 11:39:38  msahani
Showing punycode equivalent domain name on the topbar.

Revision 1.3  2006/03/08 09:06:38  msahani
changes for idn.

Revision 1.2  2006/02/14 10:52:05  msahani
A class was needed for the logo image.

Revision 1.1  2006/02/07 16:19:48  arvindd
Changing names of XSL to be consistent with cookie names and URLs

Revision 1.4  2006/02/07 13:47:39  msahani
Removed all occurance of epleval and optimized the xsls.

-->

<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:str="http://exslt.org/strings"
 xmlns:tgt="http://www.w3.org/1999/xhtml"
 xmlns:epl="http://www.ensim.com/epl50"
 xmlns:saxon="http://icl.com/saxon"
 extension-element-prefixes="epl saxon"
 exclude-result-prefixes="saxon epl"
>

<!-- the user's top bar xsl -->

<xsl:output method="xml" indent="yes" />

<!--
     This xsl refers the user's topbar xml (static/xml/user.topbar.xml)
     Displays the information about the user such as username and domain name.
-->

<xsl:template match="/">
 <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
   <link href="/static/css/user.global.css" rel="stylesheet" type="text/css"/>
  </head>
  
  <body id="topbarFrm">
   <img src="/siteuser/logo.gif" align="left" class="isp-logo"/>
   
   <table cellspacing="0" cellpadding="0" class="server-info-section">
    <tr>
     <td>
      <table border="0" cellspacing="0" cellpadding="0" class="server-stats">
       <tr>
        <th>
         <xsl:variable name="idn_domain" select="epl:idn(string(/topbar/user/properties/siteinfo_domain))"/>
         &nbsp;&raquo; <xsl:value-of select="$idn_domain"/>
         <xsl:if test="$idn_domain != /topbar/user/properties/siteinfo_domain">
          <br/> 
          (<xsl:value-of select="/topbar/user/properties/siteinfo_domain"/>)
         </xsl:if> 
        </th>
       </tr> 
       <tr>
        <td>
         <xsl:value-of select="epl:_('User name')"/>:&nbsp;<xsl:value-of select="/topbar/user/properties/username"/>
        </td>
       </tr>
      </table>
     </td>
     <td style="vertical-align: middle;"><a href="http://www.parallels.com" target="_blank"><img src="/static/images/parallels_logo.gif"/></a></td>
    </tr>
   </table>
  </body>
 </html>
</xsl:template>

</xsl:stylesheet>
