<?xml version="1.0" encoding="utf-8"?>
<!--
    $Id: reseller.main.xsl,v 1.2 2008/03/04 16:08:17 asmirnova Exp $
    $Log: reseller.main.xsl,v $
    Revision 1.2  2008/03/04 16:08:17  asmirnova
    Added "Reloaded" design

    Revision 1.2  2008/02/21 20:38:19  agordienko
    added paralels logo and copyright

    Revision 1.1.1.1  2007/12/17 10:08:22  andrew
    initial swsoft import

    Revision 1.9.2.5.2.7.2.6  2007/05/11 13:38:10  smore
    Removing <img> tag implementation.

    Revision 1.9.2.5.2.7.2.5  2007/05/09 14:17:25  smore
    FINALLY, going back to original <img> tag implementation. The cache related headers are set by server, and not handled
    by browser now.

    Revision 1.9.2.5.2.7.2.4  2007/05/02 12:50:46  smore
    Removing <img> tag implementation of Tracking pro.

    Revision 1.9.2.5.2.7.2.3  2007/04/27 05:05:41  smore
    Reverting back to old <img> method.

    Revision 1.9.2.5.2.7.2.2  2007/04/21 14:30:04  smore
    Removing older Tracking pro code

    Revision 1.9.2.5.2.7.2.1  2007/04/11 13:11:20  smore
    As 11.0.0 is changed to 10.3.0

    Revision 1.9.2.5.2.7  2007/03/29 06:06:58  smore
    Set up image width and height.

    Revision 1.9.2.5.2.6  2007/03/28 14:05:29  smore
    Updating the TrackPro server urls

    Revision 1.9.2.5.2.5  2007/02/16 08:53:29  smore
    Defining isTrackingPro flag globally. Accordingly img tag will be inserted into the main page at each level.

    Revision 1.9.2.5.2.4  2007/02/16 05:55:16  smore
    First check in for Tracking pro. Please note that more modifications are still expected.

    Revision 1.9.2.5.2.3  2007/02/06 04:38:18  skathalkar
    merging epl-10-2-0-branch into epl-11-0-0-branch

    Revision 1.9.2.5.2.2  2007/01/18 09:27:12  smore
    For PR# 1084858 AnnounceIt! can not handle large message and returns 500 internal error.
    Files modified are as follows:

    ####Site level:

    /epl/eplapi/implementors/site/site.py
    /epl/frontend/skins/cocoon/xsl/site_main.xsl
    /epl/frontend/skins/mercury/xsl/site_main.xsl
    /epl/frontend/skins/classic/xsl/site_main.xsl
    /epl/frontend/rootapp/siteadmin/__init__.py
    /epl/frontend/kidpages/site/showmotd.kid


    #####Reseller level:
    /epl/frontend/eplglobals.py
    /epl/frontend/skins/cocoon/xsl/reseller.main.xsl
    /epl/frontend/skins/mercury/xsl/reseller.main.xsl
    /epl/frontend/skins/classic/xsl/reseller.main.xsl
    /epl/frontend/rootapp/reseller/__init__.py
    /epl/frontend/kidpages/reseller/showmotd.kid

    Revision 1.9.2.5.2.1  2006/10/18 09:49:35  msahni
    Fix for PR#1084101 : Removing style attribute and putting the styling information in the css.

    Revision 1.9.2.6.2.1  2007/01/22 08:46:08  msahni
    Fix for PR#108497:In case of unlimited bandwidth or disk space, dashboard should show 'unlimited MB' instead of '0'.

    Revision 1.9.2.6  2006/11/20 12:10:16  skathalkar
    PR# 1084406: 10.1.0 :: FC6 :: Upgrade :: SA can see the links in of services which are not enable. (Shortcuts). service node was not available in the context it was used inside xsl-when. With the current change variable is initialised at the top. Fixed for reseller aswell.

    Revision 1.9.2.5  2006/08/31 10:29:18  smore
    PR# 1083264: AnnounceIt : Title should allow semicolon like characters to be displayed.

    Revision 1.9.2.4  2006/08/22 12:21:20  smore
    demo changes

    Revision 1.9.2.3  2006/08/22 06:09:34  msahani
    Showing the DNS section on the dashboard for classic and mercury skins.

    Revision 1.9.2.2  2006/08/16 09:31:26  smore
    Change for small pop-up window

    Revision 1.9.2.1  2006/08/16 07:26:33  smore
    For MOTD

    Revision 1.9  2006/04/12 15:38:14  msahani
    Changes for localization.

    Revision 1.11  2006/04/12 13:00:07  mansoor
    XSL stylesheets need to stringify the XML nodes before calling the epl:_ localizer function

    Revision 1.10  2006/04/06 12:42:20  msahani
    hidding plan from the frontend for basic license.

    Revision 1.9  2006/03/17 14:40:19  msahani
    Corrected problem of empty section display on dashboard.

    Revision 1.8  2006/03/10 07:16:09  msahani
    *** empty log message ***

    Revision 1.7  2006/03/09 11:55:22  msahani
    *** empty log message ***

    Revision 1.6  2006/03/09 11:40:31  msahani
    changes for hiding links whose service is not enabled for a particular reseller.

    Revision 1.5  2006/03/07 06:54:51  msahani
    changes to support idn.

    Revision 1.4  2006/03/06 11:38:14  msahani
    In case the total values of bandwidth and diskspace are 0, N/A should be displayed.

    Revision 1.3  2006/02/28 05:27:35  msahani
    Handled usage bar display problem.

    Revision 1.2  2006/02/09 11:45:53  msahani
    Removed lang tags and replaced them with _() function for internationalization.

    Revision 1.1  2006/02/07 13:37:49  msahani
    Removed all occurance of epleval and optimized the xsls.

-->
<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY raquo "&#187;">
]>
        
<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:tgt="http://www.w3.org/1999/xhtml"
    xmlns:epl="http://www.ensim.com/epl50"
    xmlns:saxon="http://icl.com/saxon"
    extension-element-prefixes="epl saxon func"
    exclude-result-prefixes="saxon epl"
    xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
    xmlns:math="http://exslt.org/math"
    xmlns:sets="http://exslt.org/sets"
    xmlns:func="http://exslt.org/functions"
>

<xsl:output method="xml" indent="yes" />

<!-- XSL for rendering the dashboard of reseller.
     Refers reseller's dashboard static/xml/reseller.main.xml
     It renders 2 main sections on the dashboard, one for the reseller's usage information and the
     other for the shortcuts to various items.
-->

<!-- This function gets an item node and checks if that node is to be displayed on the dashboard or
not. For this it checks if the service of that item is enabled or not. If no service node is present
or if service node is empty then it displays the item.
-->
<func:function name="func:isItemDisplayable">
 <xsl:param name="item_node"/>
 <xsl:variable name="service" select="$item_node/service/text()"/>
 <xsl:choose>
  <xsl:when test="./child::node()[name() = 'proenabled']">
   <xsl:variable name="ispro" select="epl:isPro()"/>
   <xsl:choose>
    <xsl:when test="$ispro = 'False'">
     <func:result select="false()"/>
    </xsl:when>
    <xsl:otherwise>
     <xsl:choose>
      <xsl:when test="$service">
       <xsl:choose>
        <xsl:when test="/resellerdashboard/enabledservices/child::node()[name() = $service]">
         <func:result select="true()"/>
        </xsl:when>
        <xsl:otherwise>
         <func:result select="false()"/>
        </xsl:otherwise>
       </xsl:choose>
      </xsl:when>
      <xsl:otherwise>
       <func:result select="true()"/>
      </xsl:otherwise>
     </xsl:choose>
    </xsl:otherwise>
   </xsl:choose>
  </xsl:when>
  <xsl:otherwise>
   <xsl:choose>
    <xsl:when test="$service">
     <xsl:choose>
      <xsl:when test="/resellerdashboard/enabledservices/child::node()[name() = $service]">
       <xsl:choose>
       <xsl:when test="$service = 'bind'">
        <xsl:if test="/resellerdashboard/reseller/properties/enabled_zone_mgmt/text() = 1">
         <func:result select="true()"/>
        </xsl:if>
       </xsl:when>
       <xsl:otherwise>
        <func:result select="true()"/>
       </xsl:otherwise>
      </xsl:choose>
      </xsl:when>
      <xsl:otherwise>
       <func:result select="false()"/>
      </xsl:otherwise>
     </xsl:choose>
    </xsl:when>
    <xsl:otherwise>
     <func:result select="true()"/>
    </xsl:otherwise>
   </xsl:choose>
  </xsl:otherwise>
 </xsl:choose>
</func:function>

<!-- This iterates over each item node in the current select and calls isItemDisplayable() function
for each item.
-->
<xsl:key name="displayItem" match="item" use="func:isItemDisplayable(.)"/>

<!-- This function checks if a section is to be displayed on the dashboard. A section has to be
displayed if there is even one item under it which is displayable.
-->
<func:function name="func:isSectionDisplayable">
 <xsl:param name="section_node"/>
 <xsl:choose>
  <xsl:when test="count(key('displayItem','true')[../caption/text() = $section_node/caption/text()]) = 0">
   <func:result select="false()"/>
  </xsl:when>
  <xsl:otherwise>
   <func:result select="true()"/>
  </xsl:otherwise>
 </xsl:choose>
</func:function>

<xsl:template match="/">

 <xsl:variable name="reseller_dashboard_title" select="/resellerdashboard/title/text()"/>
 <xsl:variable name="snum_columns" select="/resellerdashboard/columns/text()"/>
 <xsl:variable name="snum_sections" select="count (/resellerdashboard/section)"/>
 <xsl:variable name="snum_rows" select="round ($snum_sections div $snum_columns)"/>
 <xsl:variable name="ssection_width" select="floor (100 div $snum_columns)"/>
 <xsl:variable name="ssection_height" select="floor (100 div $snum_rows)"/>

 <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
   <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
   <link href="/static/css/reseller.global.css" type="text/css" rel="stylesheet" />
   <title><xsl:value-of select="epl:_('System Statistics')"/></title>
  </head>

  <body>
   <table class="isp-dashboard" cellspacing="0">


 <xsl:apply-templates select="//motd"/>

    <!-- First section of dashboard which contains reseller's usage information. -->
    <tr>
     <td colspan="2" class="isp-dashboard-title"><div><xsl:value-of select="epl:_('System Statistics')"/></div></td>
    </tr>

    <tr>
     <td width="50%" height="100%">
      <table width="100%" height="100%" cellspacing="0">
       <tr>
        <td class="isp-dashboard-section-top-l"></td>
        <td class="isp-dashboard-section-top"></td>
        <td class="isp-dashboard-section-top-r"></td>
       </tr>

       <tr>
        <th class="isp-dashboard-section-left"></th>
        <th class="isp-dashboard-section-head"></th>
        <th class="isp-dashboard-section-right"></th>
       </tr>

       <tr>
        <td class="isp-dashboard-section-left"></td>
        <td valign="center" class="isp-dashboard-section-contents">
         <table width="100%" height="100%" cellspacing="0">
          <tr>
           <td>
            <p><xsl:value-of select="epl:_('Disk Space')"/></p>
           </td>
                        
           <td class="right-align">
            <table width="100%" height="100%" cellspacing="0">
             <tr>
              <!-- Calculates the usage percentage of the diskspace and render's it in
              a bar form. -->
              <td>
               <div class="server-stats">
                <xsl:variable name="diskquota_used" select="/resellerdashboard/reseller/statistics/diskquota_used" />
                <xsl:variable name="diskquota_total" select="/resellerdashboard/reseller/statistics/diskquota_total" />
                <xsl:variable name="disk_usage_perc" select="floor($diskquota_used div $diskquota_total * 100)"/>
                <xsl:choose>
                 <xsl:when test="$diskquota_total = 0">
                  <div class="no-data-text"><xsl:value-of select="epl:_('N/A')"/></div>
                 </xsl:when>
                 <xsl:otherwise>
                  <div class="disk-info">
                   <xsl:choose>
                    <xsl:when test="$disk_usage_perc &gt; 100">
                     <div class="disk-usage-bar" style="width:100%">&#xA0;</div>  
                     <div class="disk-usage-text">100<xsl:value-of select="epl:_('% used')"/></div>
                    </xsl:when>
                    <xsl:otherwise>
                     <div class="disk-usage-bar" style="width:{$disk_usage_perc}%">&#xA0;</div>  
                     <div class="disk-usage-text"><xsl:value-of select="$disk_usage_perc"/><xsl:value-of select="epl:_('% used')"/></div>
                    </xsl:otherwise>
                   </xsl:choose>
                  </div>
                 </xsl:otherwise>
                </xsl:choose>
               </div>
              </td>
             </tr>
                            
             <tr>
              <!-- Displays the actual values of used and total diskquota. -->
              <td class="center-align">
               <xsl:value-of select="/resellerdashboard/reseller/statistics/diskquota_used"/>
               /
               <xsl:choose>
                <xsl:when test="/resellerdashboard/reseller/statistics/diskquota_total = 0"> 
                 <xsl:value-of select="epl:_('Unlimited MB')"/>
                </xsl:when>
                <xsl:otherwise>
                 <xsl:value-of select="/resellerdashboard/reseller/statistics/diskquota_total"/><xsl:value-of select="epl:_('MB Used')"/>
                </xsl:otherwise>
               </xsl:choose> 
              </td>
             </tr>
            </table>
           </td>
          </tr>

          <tr>
           <td>
            <p><xsl:value-of select="epl:_('Bandwidth')"/></p>
           </td>
                        
           <td class="right-align">
            <table width="100%" height="100%" cellspacing="0">
             <tr>
              <!-- Calculates the usage percentage of the bandwidth and render's it in
              a bar form. -->
              <td>
               <div class="server-stats">
                <xsl:variable name="bandwidth_used" select="/resellerdashboard/reseller/statistics/bandwidth_used" />
                <xsl:variable name="bandwidth_total" select="/resellerdashboard/reseller/statistics/bandwidth_total" />
                <xsl:variable name="bandwidth_perc" select="floor($bandwidth_used div $bandwidth_total * 100)"/>
                <xsl:choose>
                 <xsl:when test="$bandwidth_total = 0">
                  <div class="no-data-text"><xsl:value-of select="epl:_('N/A')"/></div>
                 </xsl:when>
                 <xsl:otherwise>
                  <div class="disk-info">
                   <xsl:choose>
                    <xsl:when test="$bandwidth_perc &gt; 100">
                     <div class="disk-usage-bar" style="width:100%">&#xA0;</div>  
                     <div class="disk-usage-text">100<xsl:value-of select="epl:_('% used')"/></div>
                    </xsl:when>
                    <xsl:otherwise>
                     <div class="disk-usage-bar" style="width:{$bandwidth_perc}%">&#xA0;</div>  
                     <div class="disk-usage-text"><xsl:value-of select="$bandwidth_perc"/><xsl:value-of select="epl:_('% used')"/></div>
                    </xsl:otherwise>
                   </xsl:choose>
                  </div>
                 </xsl:otherwise>
                </xsl:choose>
               </div>
              </td>
             </tr>
                           
             <tr>
              <!-- Displays the actual values of used and total bandwidth. -->
              <td class="center-align">
               <xsl:value-of select="/resellerdashboard/reseller/statistics/bandwidth_used"/>
               /
               <xsl:choose>
                <xsl:when test="/resellerdashboard/reseller/statistics/bandwidth_total = 0">
                 <xsl:value-of select="epl:_('Unlimited MB')"/>
                </xsl:when>
                <xsl:otherwise>
                 <xsl:value-of select="/resellerdashboard/reseller/statistics/bandwidth_total"/><xsl:value-of select="epl:_('MB Used')"/>
                </xsl:otherwise>
               </xsl:choose> 
              </td>
             </tr>
            </table>
           </td>
          </tr>
         </table>
        </td>    
        <td class="isp-dashboard-section-right"></td>
       </tr>
                    
       <tr>
        <td class="isp-dashboard-section-bottom-l"></td>
        <td class="isp-dashboard-section-bottom"></td>
        <td class="isp-dashboard-section-bottom-r"></td>
       </tr>
      </table>
     </td>

     <td width="50%" height="100%">
      <!-- This displays information about reseller such as full name, users, domains and
      so on. -->
      <table width="100%" height="100%" cellspacing="0">
       <tr>
        <td class="isp-dashboard-section-top-l"></td>
        <td class="isp-dashboard-section-top"></td>
        <td class="isp-dashboard-section-top-r"></td>
       </tr>

       <tr>
        <th class="isp-dashboard-section-left"></th>
        <th class="isp-dashboard-section-head"></th>
        <th class="isp-dashboard-section-right"></th>
       </tr>

       <tr>
        <td class="isp-dashboard-section-left"></td>
        <td valign="center" class="isp-dashboard-section-contents">
         <table width="100%" cellspacing="0">
          <tr>
           <td>
            <p><xsl:value-of select="epl:_('Full Name')"/></p>
           </td>

           <td class="right-align">               
            <xsl:value-of select="/resellerdashboard/reseller/properties/reseller_fullname"/>
           </td>
          </tr>

          <tr>
           <td>
            <p><xsl:value-of select="epl:_('Email')"/></p>
           </td>

           <td class="right-align">
            <xsl:value-of select="epl:idn(string(/resellerdashboard/reseller/properties/reseller_email))"/>
           </td>
          </tr>

          <tr>
           <td>
            <p><xsl:value-of select="epl:_('Users')"/></p>
           </td>

           <td class="right-align">                
            <xsl:value-of select="/resellerdashboard/reseller/statistics/users_used" />
            /
            <xsl:value-of select="/resellerdashboard/reseller/statistics/users_total" />
           </td>
          </tr>

          <tr>
           <td>
            <p><xsl:value-of select="epl:_('IP-Based Domains')"/></p>
           </td>

           <td class="right-align">                
            <xsl:value-of select="/resellerdashboard/reseller/statistics/ipinfo_ip_used"/>
            /
            <xsl:value-of select="/resellerdashboard/reseller/statistics/ipinfo_ip_total"/>
           </td>
          </tr>

          <tr>
           <td>
            <p><xsl:value-of select="epl:_('Name-Based Domains')"/></p>
           </td>

           <td class="right-align">
            <xsl:value-of select="/resellerdashboard/reseller/statistics/ipinfo_nb_used"/>
            /
            <xsl:value-of select="/resellerdashboard/reseller/statistics/ipinfo_nb_total"/>
           </td>
          </tr>
         </table>
        </td>

        <td class="isp-dashboard-section-right"></td>
       </tr>
                    
       <tr>
        <td class="isp-dashboard-section-bottom-l"></td>
        <td class="isp-dashboard-section-bottom"></td>
        <td class="isp-dashboard-section-bottom-r"></td>
       </tr>
      </table>
     </td>
    </tr>
   </table>


   <!-- Second section on the dashboard that contains all the shortcuts for items on the dashboard.  -->

            
   <table class="isp-dashboard" cellspacing="0">
    <tr>
     <td colspan="{$snum_columns}" class="isp-dashboard-title"><div><xsl:value-of select="epl:_(string($reseller_dashboard_title))"/></div></td>
    </tr>

    <xsl:for-each select="/resellerdashboard/section[func:isSectionDisplayable(.) = 'true']">
     <xsl:if test="(position() mod $snum_columns) = 1">
      <tr>
       <xsl:for-each select=". | ./following-sibling::node()[(name() = 'section') and (func:isSectionDisplayable(.) = 'true')][position() &lt; $snum_columns]">
        <td width="{$ssection_width}%" height="{$ssection_height}%">
         <table width="100%" height="100%"  cellspacing="0">
          <tr>
           <td class="isp-dashboard-section-top-l"></td>
           <td class="isp-dashboard-section-top"></td>
           <td class="isp-dashboard-section-top-r"></td>
          </tr>

          <tr>
           <th class="isp-dashboard-section-left"></th>
           <th class="isp-dashboard-section-head"><xsl:value-of select="epl:_(string(caption))"/></th>
           <th class="isp-dashboard-section-right"></th>
          </tr>

          <tr>
           <td class="isp-dashboard-section-left"></td>
           <td valign="center" class="isp-dashboard-section-contents">
            <xsl:variable name="section_img" select="image"/>
            <img class="db-icon" src="{$section_img}" />
            <xsl:variable name="current_item" select="."/>
            <xsl:for-each select="key('displayItem','true')[generate-id(..) = generate-id($current_item)]">
             <xsl:variable name="url" select="link/text()"/>
             <p><a href="{$url}"><xsl:value-of select="epl:_(string(display/text()))"/></a></p>
            </xsl:for-each>
           </td>
           <td class="isp-dashboard-section-right"></td>
          </tr>

          <tr>
           <td class="isp-dashboard-section-bottom-l"></td>
           <td class="isp-dashboard-section-bottom"></td>
           <td class="isp-dashboard-section-bottom-r"></td>
          </tr>

         </table>
        </td>
       </xsl:for-each>
      </tr>
     </xsl:if> 
    </xsl:for-each>
   </table>
  </body>
 </html>
</xsl:template>

<xsl:template match="/resellerdashboard/motd">
 <xsl:if test="/resellerdashboard/motd/child::node()[name() = 'entry']">
   <xsl:for-each select="//entry">
         <tr> 
             <td align= 'left'>
             <xsl:variable name="url" select="/resellerdashboard/motd/link/text()"/>
             <xsl:variable name="id" select="epl:_(string(id/text()))"/>
             <xsl:variable name="title" select="epl:_(string(title/text()))"/>
             <img src="/static/images/bullet1.gif"/>
             <xsl:text disable-output-escaping="yes">&amp;nbsp;&amp;nbsp;</xsl:text>
             <a href="javascript://" onclick="window.open('{$url}?id={$id}','glo','width=635,height=375,scrollbars,resizable')" target="_self"><xsl:value-of select="$title"/></a>
             </td>
         </tr>
   </xsl:for-each>
 </xsl:if>
</xsl:template>

<xsl:template match="text()|@*"/>

</xsl:stylesheet>

