<?xml version="1.0" encoding="utf-8"?>
<!--
    $Id: isp.top.xsl,v 1.3 2008/03/11 16:21:45 asmirnova Exp $
    $Log: isp.top.xsl,v $
    Revision 1.3  2008/03/11 16:21:45  asmirnova
    Changed logo to small letters and added possibility to customize logo

    Revision 1.2  2008/03/07 08:57:56  asmirnova
    Added logo with big letter for reloaded design

    Revision 1.1  2008/03/04 17:50:30  asmirnova
    Added "Reloaded" design

    Revision 1.2  2008/02/19 22:04:54  agordienko
    fixed saxon in isp.top.xsl

    Revision 1.1.2.1  2008/02/07 22:05:43  asmirnova
    Working on the new design

    Revision 1.5.4.3  2007/03/21 05:38:08  msahni
    Fix for PR#59108: Adding and xml file for isp's topbar.

    Revision 1.5.4.2  2007/02/06 04:38:17  skathalkar
    merging epl-10-2-0-branch into epl-11-0-0-branch

    Revision 1.5.2.2  2006/11/08 14:21:33  skathalkar
    PR# 1084099: Showing Invalid Uptime. round funtion in xslt returns will return 24 for 23.78 value. this will result in showing hours as 24 which is invalid. floor will return 23 as the value.

    Revision 1.5.2.1  2006/11/08 09:31:17  msahni
    Formula for calculation of uptime minutes was incorrect.

    Revision 1.5  2006/04/13 15:24:24  agore
    upload logo done

    Revision 1.4  2006/04/04 13:19:30  msahani
    supporting localization

    Revision 1.3  2006/03/15 14:52:55  mansoor
    ISP Administrator nomenclature changed to Server Administrator wherever plausible

    Revision 1.2  2006/03/08 12:02:28  msahani
    *** empty log message ***

    Revision 1.1  2006/02/23 09:32:59  ppatel
    classic skin xsls added

    Revision 1.2  2006/02/21 12:49:04  ppatel
    Shifted ISP Logo within DIV tags

    Revision 1.1  2006/02/14 11:25:53  ppatel
    xsl,s updated....

-->
<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY raquo "&#187;">
]>
<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
    xmlns:math="http://exslt.org/math"
    xmlns:sets="http://exslt.org/sets"
    xmlns:epl="http://www.ensim.com/epl50"
    exclude-result-prefixes="fn math sets"
>

<!-- the isp administrator's top bar xsl 
     It refers the isp's topbar xml which is a string representation of the xml and not a file.
-->

<xsl:output method="xml" indent="yes" />

<xsl:template match="/topbar/appliancetop">

<html>
 <head>
  <link href="/static/css/isp.global.css" rel="stylesheet" type="text/css"/>
 </head>

 <body id="topbarFrm">
  <table cellpadding="0" cellspacing="0" class="top-logo">
    <tr>
	<td class="top-logo-isp"><a href="http://www.parallels.com/en/ensimpro/" target="_blank"><img src="/isp/logo.gif"/></a></td>
	<td class="top-logo-banner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
	<td class="top-logo-parallels"><a href="http://www.parallels.com" target="_blank"><img src="/static/images/parallels_logo.gif"/></a></td>
    </tr>
    <tr><td class="top-logo-btile" colspan="3"><img src="/static/images/blank.gif" width="1" height="2"/></td></tr>
  </table>
 </body>
</html>

</xsl:template>
</xsl:stylesheet>
