﻿<?xml version="1.0" encoding="utf-8"?>
<!--
    $Id: reseller.top.xsl,v 1.3 2008/03/11 16:21:45 asmirnova Exp $
    $Log: reseller.top.xsl,v $
    Revision 1.3  2008/03/11 16:21:45  asmirnova
    Changed logo to small letters and added possibility to customize logo

    Revision 1.2  2008/03/07 08:57:56  asmirnova
    Added logo with big letter for reloaded design

    Revision 1.1  2008/03/04 17:50:30  asmirnova
    Added "Reloaded" design

    Revision 1.1.1.1  2008/02/14 19:23:47  aarefyev
    Merge with skins and 10.3.1 branches

    Revision 1.1.2.1  2008/02/07 22:05:43  asmirnova
    Working on the new design

    Revision 1.6.4.4  2007/03/28 10:36:11  rsinha
    Fixing PR#1084383

    Revision 1.6.4.3  2007/02/06 04:38:17  skathalkar
    merging epl-10-2-0-branch into epl-11-0-0-branch

    Revision 1.6.2.2  2006/11/09 12:15:35  skathalkar
    PR# 1084262: Control panel Uptime not sync with server uptime

    Revision 1.6.2.1  2006/11/09 10:40:44  msahni
    Formula for calculation of uptime minutes was incorrect.

    Revision 1.6  2006/05/18 10:19:38  msahani
    localization changes.

    Revision 1.5  2006/04/13 15:24:24  agore
    upload logo done

    Revision 1.4  2006/04/11 08:57:11  msahani
    Fixed problem of usage bar going out of the screen.

    Revision 1.3  2006/04/04 13:19:30  msahani
    supporting localization

    Revision 1.2  2006/03/08 12:02:28  msahani
    *** empty log message ***

    Revision 1.1  2006/02/23 09:32:59  ppatel
    classic skin xsls added

    Revision 1.2  2006/02/21 12:49:04  ppatel
    Shifted ISP Logo within DIV tags

    Revision 1.1  2006/02/14 11:25:53  ppatel
    xsl,s updated....

    Revision 1.2  2006/02/09 11:45:53  msahani
    Removed lang tags and replaced them with _() function for internationalization.

    Revision 1.1  2006/02/07 13:37:49  msahani
    Removed all occurance of epleval and optimized the xsls.

-->

<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY raquo "&#187;">
]>
<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:epl="http://www.ensim.com/epl50"
    xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
    xmlns:math="http://exslt.org/math"
    xmlns:sets="http://exslt.org/sets"
    exclude-result-prefixes="fn math sets"
>

<!-- the reseller's top bar xsl -->

<xsl:output method="xml" indent="yes" />

<!-- 
     This xsl refers the Reseller topbar xml (static/xml/reseller.topbar.xml)  
     Displays the information about the reseller such as username, diskspace used, uptime and so on
-->

<xsl:template match="/">
<html>
 <head>
  <link href="/static/css/reseller.global.css" rel="stylesheet" type="text/css"/>
 </head>

 <body id="topbarFrm">
  <table cellpadding="0" cellspacing="0" class="top-logo">
    <tr>
        <td class="top-logo-isp"><a href="http://www.parallels.com/en/ensimpro/" target="_blank"><img src="/reseller/logo.gif"/></a></td>
        <td class="top-logo-banner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
        <td class="top-logo-parallels"><a href="http://www.parallels.com" target="_blank"><img src="/static/images/parallels_logo.gif"/></a></td>
    </tr>
    <tr><td class="top-logo-btile" colspan="3"><img src="/static/images/blank.gif" width="1" height="2"/></td></tr>
  </table>
 </body>
</html>
</xsl:template>
</xsl:stylesheet>


                                
