<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY raquo "&#187;">
]>

<!--
$Id: siteuser.top.xsl,v 1.3 2008/03/11 16:21:45 asmirnova Exp $
$Log: siteuser.top.xsl,v $
Revision 1.3  2008/03/11 16:21:45  asmirnova
Changed logo to small letters and added possibility to customize logo

Revision 1.2  2008/03/07 08:57:56  asmirnova
Added logo with big letter for reloaded design

Revision 1.1  2008/03/04 17:50:30  asmirnova
Added "Reloaded" design

Revision 1.1.1.1  2008/02/14 19:23:47  aarefyev
Merge with skins and 10.3.1 branches

Revision 1.1.2.1  2008/02/07 22:05:43  asmirnova
Working on the new design

Revision 1.6  2006/05/18 10:18:54  msahani
displaying punycoded domain name below the idn representation.

Revision 1.5  2006/04/17 06:49:35  agore
to set logo src path

Revision 1.4  2006/04/04 13:19:30  msahani
supporting localization

Revision 1.3  2006/04/03 11:39:38  msahani
Showing punycode equivalent domain name on the topbar.

Revision 1.2  2006/03/08 13:14:01  msahani
*** empty log message ***

Revision 1.1  2006/02/23 09:32:59  ppatel
classic skin xsls added

Revision 1.2  2006/02/21 12:49:04  ppatel
Shifted ISP Logo within DIV tags

Revision 1.1  2006/02/14 11:25:53  ppatel
xsl,s updated....

Revision 1.2  2006/02/14 10:52:05  msahani
A class was needed for the logo image.

Revision 1.1  2006/02/07 16:19:48  arvindd
Changing names of XSL to be consistent with cookie names and URLs

Revision 1.4  2006/02/07 13:47:39  msahani
Removed all occurance of epleval and optimized the xsls.

-->

<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:str="http://exslt.org/strings"
 xmlns:tgt="http://www.w3.org/1999/xhtml"
 xmlns:epl="http://www.ensim.com/epl50"
 xmlns:saxon="http://icl.com/saxon"
 extension-element-prefixes="epl saxon"
 exclude-result-prefixes="saxon epl"
>

<!-- the user's top bar xsl -->

<xsl:output method="xml" indent="yes" />

<!--
     This xsl refers the user's topbar xml (static/xml/user.topbar.xml)
     Displays the information about the user such as username and domain name.
-->

<xsl:template match="/">
 <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
   <link href="/static/css/user.global.css" rel="stylesheet" type="text/css"/>
  </head>
  
  <body id="topbarFrm">
  <table cellpadding="0" cellspacing="0" class="top-logo">
    <tr>
        <td class="top-logo-isp"><a href="http://www.parallels.com/en/ensimpro/" target="_blank"><img src="/siteuser/logo.gif"/></a></td>
        <td class="top-logo-banner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
        <td class="top-logo-parallels"><a href="http://www.parallels.com" target="_blank"><img src="/static/images/parallels_logo.gif"/></a></td>
    </tr>
    <tr><td class="top-logo-btile" colspan="3"><img src="/static/images/blank.gif" width="1" height="2"/></td></tr>
  </table>
  </body>
 </html>
</xsl:template>

</xsl:stylesheet>
