
var motd_requestobject = null;
var REQUEST_URL = "/isp/motd_storage/retrieveMotdContent";
var REQUEST_INTERVAL = 3*1000; // value in second
var REQUEST_TIMEOUT = 100; // number of request
var timeout_status = 0; // timeout status ( 0 -> running , 1 -> timeout)
var ctr = 0;


function MotdCreateRequestObject () {
    var req;

    if (window.XMLHttpRequest) {
        try {
            req = new XMLHttpRequest ();
        }
        catch (e) {
            alert ("cannot create the xml http request object");
        }
    } else if (window.ActiveXObject) {
        try {
            req = new ActiveXObject ("Msxml2.XMLHTTP");
        } catch (e) {
            try {
                req = new ActiveXObject ("Microsoft.XMLHTTP");
            } catch (e) {
                alert ("cannot create the xml http request object");
            }
        }
    }
    motd_requestobject = req;   
}

function fetchXHTML()
{
    // fetch xhtml content from requested url
    motd_requestobject.open("POST",REQUEST_URL, true);
    motd_requestobject.setRequestHeader ("Content-type", "application/x-www-form-urlencoded");
    // calling request process method
    motd_requestobject.onreadystatechange = motdReader;
    motd_requestobject.send("");
}

function motdLoading()
{
   // showing loading message
   var txtmsg = "<table border='1' width='20%'><tr><td width='100%' class='isp-dashboard-section-left'><b>Loading Message ...</b></td></tr></table>"
   document.getElementById("motd_message").innerHTML = txtmsg
}

function motdReader()
{
   // get xhtml content
   if (motd_requestobject.readyState == 4 && motd_requestobject.status == 200) {
        info_text = motd_requestobject.responseText; }
   else {
       info_text = "loading"; }
       
   if ( info_text == "disabled" )
   {
       document.getElementById("motd_message").innerHTML = ""
       timeout_status = 1;
       return;
   }
   else if (info_text != "loading" && info_text != "" || info_text == "blank")
   {
        if (info_text == "blank")
            info_text = "";
            
        document.getElementById("motd_message").innerHTML = info_text
        timeout_status = 1;
   }
   else if (info_text == "loading")
   {
       motdLoading()
   }
}

function processRequest()
{
        if (ctr == REQUEST_TIMEOUT || timeout_status == 1)
        {
            return;
        }
        else
        {
           fetchXHTML();
           setTimeout("processRequest()",REQUEST_INTERVAL);
           ctr++;
        }
}

function callMotd()
{
    ctr = 0;
    timeout_status = 0;
    MotdCreateRequestObject();
    processRequest();
}

