<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">
<?python
 helpFlag = False
 helpTextRed = False
 try:
    if helptext:
        helpTitle = helptext['title']
        helpText = helptext['text']
        if helptext.has_key('help-text-red'):
            helpTextRed = True
        else:
            helpTextRed = False
        helpFlag = True
 except NameError:
    pass
 import kidpages.common.fliplist
 #assigning template instance to variable fliplisttmpl for fliplist module
 fliplisttmpl = kidglobals (kidpages.common.fliplist)
 from lib.datamodel.datatypes import Entry, EntryList, EntryView, EntryListView
 from lib.datamodel.controls import FlipList, Column
 import kidpages.common.subnav
 #assigning template instance to variable subnavtmpl for subnav module
 subnavtmpl = kidglobals (kidpages.common.subnav)

 # we need to be able to provide the title of the page.
 b_data = None
 l_title = _('Flip List Title')

 try:
    if list_title:
        debug( "list_title = %s"% list_title)
        l_title = list_title
        debug( "l_title = %s"% l_title )
 except NameError:
    pass

 try:
    if buttons:
        b_data = buttons
 except NameError:
    pass

 try:
    if l_title != 'Flip List Title':
        debug( "l_title != 'Flip List Title'")
        debug( "l_title = %s"% l_title )
        datalist = FlipList (title=l_title,buttons=b_data)
    else:
        datalist = FlipList (buttons=b_data)
 except NameError:
    datalist = FlipList (buttons=b_data)

 try:
    if actionLinks:
        datalist.actionLinks = actionLinks
 except NameError:
    datalist.actionLinks = []

 # note (mansoor): I do not like this initialization style (NameErrors), above
 # TODO: fix this after RTQA1 code review
 
 datalist.entryList = EntryList ( Entry, display_data)
 datalist.columns = column_list
 datalist.entryListView = EntryListView (entryview, datalist.entryList)
 datalist.viewName = display_view

 # we need to display the actionlog status
 import kidpages.common.actionlog
 #assigning template instance to variable actionlogtmpl for actionlog module
 actionlogtmpl = kidglobals (kidpages.common.actionlog)
?>

<head>
 <meta content="text/html; charset=utf-8" http-equiv="content-type" />
 <link rel="stylesheet" py:attrs="{'href':getStyleSheet()}" type="text/css" />
 <title>$display_view</title>
 <script src="/static/js/fliplist.js" charset="utf-8" type="text/javascript">
 </script>
 <script src="/static/js/xmldom.js" charset="utf-8" type="text/javascript">
 </script>
 <script src="/static/js/confirm.js" charset="utf-8" type="text/javascript">
 </script>
 </head>

<body>
 <div py:replace="subnavtmpl.renderNavBarGroup ()"/>
 <div py:replace="actionlogtmpl.renderActionLog ()"/>
 
 <p py:if="helpTextRed == False">
  <div py:if="helpFlag == True" class="fliplist-help-text-section">
    <span class="fliplist-help-title">$helpTitle</span>
    <span py:for="text in helpText" class="fliplist-help-text">$text</span>
  </div>
 </p> 
 <p py:if="helpTextRed == True">
  <div py:if="helpFlag == True" class="fliplist-help-text-section">
    <span class="fliplist-help-title">$helpTitle</span>
    <span py:for="text in helpText" class="fliplist-help-text-red">$text</span>
  </div>
 </p>
 <div py:replace="fliplisttmpl.renderFlipList (datalist)">
 </div>
</body>

</html>
