<html py:extends="'../svc_configs/common.kid','../common/validate.kid', '../common/renderfield.kid'" xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

<?python
  import kidpages.common.subnav
  #assigning template instance to variable subnavtmpl for subnav module
  subnavtmpl = kidglobals (kidpages.common.subnav)
  import kidpages.common.actionlog
  #assigning template instance to variable actionlogtmpl for actionlog module
  actionlogtmpl = kidglobals (kidpages.common.actionlog)
?>
    <head>
        <title><lang>Manage Skins</lang></title>
        <link rel="stylesheet" py:attrs="{'href':getStyleSheet () }" type="text/css" />
    </head>

    <body>
        <div py:replace="subnavtmpl.renderNavBarGroup ()"/>
        <div py:replace="actionlogtmpl.renderActionLog ()"/>
        <!-- Include the validate.js javascript -->
        ${validate_js_function()}

        <!-- Initialize the validators -->
        ${initialize_validators(config)}
        <div id="div:validationerrors" class="validationerrors">
        </div>

        <div class="cool-green-box">
            <div><div><div>
            <form accept-charset="utf-8" method="post" action="domanageskins">
                <p class="form-title-section">
                    <span class="form-title-text"><lang>Manage Skins</lang></span>
                    <span class="form-help-text"><lang>You must logout after applying the skin and login again.</lang></span>
                </p>
                <table width="50%" align="center" border="0">
                    <tr>
                        <th colspan="2" rowspan="1"><lang>Skins</lang></th>
                    </tr>
                    <tr><td>${renderfield(config['skin'], 'SELECTRADIO')}</td></tr>
                    <tr>
                        <td class="button-container" align="center" colspan="2" rowspan="1">
                            <input class="button" id="preview" name="preview" value="${_('Preview')}" type="submit" />
                            <input class="button" id="apply" name="apply" value="${_('Apply')}" type="submit"/>
                        </td>
                    </tr>
                </table>
            </form>
            <!-- Register the events to validate the fields on submit -->
            <script charset="utf-8" type="text/javascript">
                registerValidationEvents ();
            </script>
            </div></div></div>
        </div>
    </body>
</html>


