<html py:extends="'validate_js.kid'" xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

<?python
  print "---------------"
  import kidpages.common.fliplist
  import kidpages.common.subnav
  #assigning template instance to variable fliplisttmpl for fliplist module
  fliplisttmpl = kidglobals (kidpages.common.fliplist)
  #assigning template instance to variable subnavtmpl for subnav module
  subnavtmpl = kidglobals (kidpages.common.subnav)
  from lib.datamodel.datatypes import Entry, EntryList, EntryView, EntryListView
  from lib.datamodel.controls import FlipList, Column
    
  # we need to be able to provide the title of the page.
  if list_title:
    datalist = FlipList (title=list_title)
  else:
    datalist = FlipList ()
  datalist.entryList = EntryList ( Entry, display_data)
  datalist.columns = column_list
  datalist.entryListView = EntryListView (entryview, datalist.entryList)
  datalist.viewName = display_view

  # we need to display the actionlog status
  import kidpages.common.actionlog
  #assigning template instance to variable actionlogtmpl for actionlog module
  actionlogtmpl = kidglobals (kidpages.common.actionlog)
?>

    <head>
        <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
        <link rel="stylesheet" py:attrs="{'href': getStyleSheet () }" type="text/css" />
        <title>$display_view</title>
        <script src="/static/js/fliplist.js" charset="utf-8" type="text/javascript">
        </script>
        <script src="/static/js/xmldom.js" charset="utf-8" type="text/javascript">
        </script>
        ${validate_js_function()}
        <script src="/static/js/confirm.js" charset="utf-8" type="text/javascript">
        </script>
                                                                   
    </head>

    <body>
        <div py:replace="subnavtmpl.renderNavBarGroup ()"/>
        <div py:replace="actionlogtmpl.renderActionLog ()"/>
        <div py:replace="fliplisttmpl.renderFlipList (datalist)">
        </div>
    </body>
</html>

