<html py:extends="'../svc_configs/common.kid','../common/validate.kid', '../common/renderfield.kid'" xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">
<?python
  import kidpages.common.subnav
  #assigning template instance to variable subnavtmpl for subnav module
  subnavtmpl = kidglobals (kidpages.common.subnav)
  import kidpages.common.actionlog
  #assigning template instance to variable actionlogtmpl for actionlog module
  actionlogtmpl = kidglobals (kidpages.common.actionlog)
  nonemptymsg = _('File name cannot be empty!')
?>

    <head>
        <title><lang>Upload Logo</lang></title>
        <link rel="stylesheet" py:attrs="{'href': getStyleSheet () }" type="text/css" />
    </head>

    <body>
        <div py:replace="subnavtmpl.renderNavBarGroup ()"/>
        <div py:replace="actionlogtmpl.renderActionLog ()"/>
        <!-- Include the validate.js javascript -->
        ${validate_js_function()}

        <!-- Initialize the validators -->
        ${initialize_validators(config)}
        <div id="div:validationerrors" class="validationerrors">
        </div>

        <script language="javascript">
            function not_empty(msg){
                if(document.getElementById("myFile").value=='')
                {
                    alert(msg);
                    return false;
                }
                return true;
            }
        </script>

        <script language="javascript">
         // refresh the top bar
         window.parent.frames[0].location.reload (true);
        </script>
                


        <div class="cool-green-box">
            <div><div><div>
                <form accept-charset="utf-8" method="post" action="douploadlogo" enctype="multipart/form-data">
                <p class="form-title-section">
                    <span class="form-title-text"><lang>Upload Logo</lang></span>
                    <span class="form-help-text"><lang>The logo uploaded will be visible in the top left corner of your control panel as well as the control panels of the sites and users hosted on your server.</lang></span>
                </p>

                <table border='0' width='50%' align='center'>
                    <tr>
                        <td rowspan="4">
                            <img src="logo.gif" border="0" />
                        </td>
                        <td><lang>Upload new logo</lang></td>
                    </tr>
                    <tr>
                        <td colspan="2">
                            <input type="file" size="19" name="myFile" id="myFile" class="button"/>
                            <input class="button" type="submit" name="upload"
                            value="${_('Upload Logo')}" onclick="javascript: return not_empty('${nonemptymsg}');"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <input class="button" type="submit" name="remove" id="remove" 
                            value="${_('Reset logo to default logo')}"/>
                        </td>
                    </tr>
                </table>
                </form>
            <!-- Register the events to validate the fields on submit -->
            <script charset="utf-8" type="text/javascript">
                registerValidationEvents ();
            </script>
            </div></div></div>
        </div>
    </body>
</html>
