<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">
 <?python
     import kidpages.common.actionlog
     import kidpages.common.subnav
     subnavtmpl = kidglobals (kidpages.common.subnav)
     actionlogtmpl = kidglobals ( kidpages.common.actionlog )
     import time
     import string   
     if license:
        createDate = time.strftime("%d/%m/%Y %H:%M:%S", time.localtime(string.atoi(license['createDate'])))
        expiryDate = time.strftime("%d/%m/%Y %H:%M:%S", time.localtime(string.atoi(license['expiryDate'])))
        lkey = license['masterLicense']
     else:
        lkey=''
 ?>
 <head>
  <title><lang>Server License</lang></title>
  <link rel="stylesheet" py:attrs="{'href': getStyleSheet () }" type="text/css" />
 </head>
 <body>
  <div py:replace="subnavtmpl.renderNavBarGroup ()"/>
  <div py:replace="actionlogtmpl.renderActionLog ()"/>

 <div class="cool-green-box">
  <div><div><div>
 <table border='0' class="fliplist" id="fliplist" py:if="license and license.has_key('licenseSerial')">
 <tbody>
    <tr>
       <th colspan="2"><lang>Server License</lang></th>
    </tr>
     <tr>
       <td width="50%"><lang>State</lang></td>
       <td><lang>${license['state']}</lang></td>
     </tr>
     <tr>
       <td><lang>Issue Date (dd/mm/yyyy HH:mm:ss)</lang></td>
       <td py:content="createDate"/>
     </tr>
     <tr>
       <td><lang>Upgradable</lang></td>
       <td py:if="license['upgradeable'] == 'true'"><lang>YES</lang></td>
       <td py:if="license['upgradeable'] != 'true'"><lang>NO</lang></td>
     </tr>
     <tr>
       <td><lang>Product</lang></td>
       <td py:if="license['productCode'] == 'EPL'">Parallels Pro Control Panel for Linux</td>
       <td py:if="license['productCode'] != 'EPL'">${license['productCode']}</td>
     </tr>
     <tr>
       <td><lang>Product Type</lang></td>
       <td py:content="license['productType']"/>
     </tr>

     <tr>
       <td><lang>Domain Limit</lang></td>
       <td py:if="license['domainLimit'] == '0'">${_('unlimited')}</td>
       <td py:if="license['domainLimit'] != '0'">${license['domainLimit']}</td>
     </tr>
     <tr>
         <td class="button-container">
        <form name="server_license" action="/isp/changelicense" method = "post" accept-charset="utf-8">
            <input type="submit" class="button" id="update" value="${_('Update License')}"/>
         </form>
        </td>
         <td class="button-container">
         <form name="changelicense" action="/isp/dochangelicense" method="post" accept-charset="utf-8">
            <input type="hidden" name="hidflag" value="0"/>
            <input type="hidden" name="from_page" value="license"/>
            <input type="hidden" name="part1" value="${lkey[:5]}"/>
            <input type="hidden" name="part2" value="${lkey[5:10]}"/>
            <input type="hidden" name="part3" value="${lkey[10:15]}"/>
            <input type="hidden" name="part4" value="${lkey[15:20]}"/>
            <input type="hidden" name="part5" value="${lkey[20:25]}"/>
            <input type="submit" class="button" id="renew" value="${_('Renew License')}"/>
        </form>
        </td>
     </tr>
  </tbody>
  </table>
  <table border="0" id="fliplist" class="fliplist" py:if="not license">
    <tr>
        <td><lang>No license data available</lang></td>
    </tr>
     <tr>
       <form name="server_license" action="/isp/changelicense" method = "post" accept-charset="utf-8"> 	
	       <td class="button-container"><input type="submit" class="button" value="${_('Update License')}"/></td>
       </form>	
     </tr>
  </table>

    </div></div></div>
</div>
</body>
</html>
