<html py:extends="'../svc_configs/common.kid','../common/validate.kid', '../common/renderfield.kid'" 
    xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#">

<?python
  import kidpages.common.subnav
  #assigning template instance to variable subnavtmpl for subnav module
  subnavtmpl = kidglobals (kidpages.common.subnav)
  import kidpages.common.actionlog
  #assigning template instance to variable actionlogtmpl for actionlog module
  actionlogtmpl = kidglobals (kidpages.common.actionlog)
?>

<head>
    <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
    <link rel="stylesheet" py:attrs="{'href': getStyleSheet () }" type="text/css" />
    <title><lang>Change Password</lang></title>
</head>

<body>
    <div py:replace="subnavtmpl.renderNavBarGroup ()"/>
    <div py:replace="actionlogtmpl.renderActionLog ()"/>
    ${validate_js_function()}
  <!-- Initialize the validators -->
    ${initialize_validators(config)}

  <!-- the validation errors div -->
    <div id="div:validationerrors" class="validationerrors">
    </div>

    <div class="cool-green-box">
    <div><div><div>
    <form method="post" action="/reseller/doChangePassword" accept-charset="utf-8">
        <p class="form-title-section">
        <span class="form-title-text"><lang>Change Password</lang></span>
        </p>
    
        <table border='0' width='100%' align='center'>
            <tr>
                <td><lang>Password</lang></td>
		<td>${renderfield(config['password'], 'PASSWORD')}</td>
            </tr>
            <tr>
                <td><lang>Confirm Password</lang></td>
		<td>${renderfield(config['password2'], 'PASSWORD')}</td>
            </tr>
	    <tr>
		<td class="button-container" align="center" colspan="2" rowspan="1"/>
		<input class="button" id="save"  value="${_('Save')}" type="submit" />
		<input class="button" id="reset" value="${_('Reset')}" type="reset" />
	    </tr>
        </table>
    </form>
    <script charset="utf-8" type="text/javascript">
        registerValidationEvents ();
    </script>
    </div></div></div>
    </div>
</body>
</html>
