<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:saxon="http://icl.com/saxon"
 xmlns:tgt="http://www.w3.org/1999/xhtml"
 xmlns:epl="http://www.ensim.com/epl50"
 xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
 extension-element-prefixes="epl saxon"
 exclude-result-prefixes="saxon fn tgt epl"
 version="1.0"
>

<!--
 this stylesheet looks for the <lang> text inside a kid page, and tells 
 you which file, and which line, the <lang> tag was found
-->

<xsl:param name="docname" select="'none'"></xsl:param>

<xsl:output method="xml" omit-xml-declaration="yes"/>

<xsl:template match="display">
 <xsl:value-of select="epl:XmlLocalizedStr(string(.), string(saxon:line-number()), string($docname))"/>
</xsl:template>

<xsl:template match="title">
 <xsl:value-of select="epl:XmlLocalizedStr(string(.), string(saxon:line-number()), string($docname))"/>
</xsl:template>

<xsl:template match="caption">
 <xsl:value-of select="epl:XmlLocalizedStr(string(.), string(saxon:line-number()), string($docname))"/>
</xsl:template>

<xsl:template match="text()|@*"/>

</xsl:stylesheet>
