<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY raquo "&#187;">
]>

<!--
$Id: user.top.xsl,v 1.2 2008/03/04 16:08:17 asmirnova Exp $
$Log: user.top.xsl,v $
Revision 1.2  2008/03/04 16:08:17  asmirnova
Added "Reloaded" design

Revision 1.2  2008/02/21 20:31:50  agordienko
added paralels logo and copyright

Revision 1.1.1.1  2007/12/17 10:08:22  andrew
initial swsoft import

Revision 1.6  2006/04/12 13:14:10  mansoor
XSL stylesheets need to stringify the XML nodes before calling the epl:_ localizer function

Revision 1.5  2006/02/09 11:47:18  msahani
Removed lang tags and replaced them with _() function for internationalization.

Revision 1.4  2006/02/07 13:47:39  msahani
Removed all occurance of epleval and optimized the xsls.

-->

<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:str="http://exslt.org/strings"
 xmlns:tgt="http://www.w3.org/1999/xhtml"
 xmlns:epl="http://www.ensim.com/epl50"
 xmlns:saxon="http://icl.com/saxon"
 extension-element-prefixes="epl saxon"
 exclude-result-prefixes="saxon epl"
>

<!-- the user's top bar xsl -->

<xsl:output method="xml" indent="yes" />

<!--
     This xsl refers the user's topbar xml (static/xml/user.topbar.xml)
     Displays the information about the user such as username and domain name.
-->

<xsl:template match="/">
 <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
    <link href="/static/css/user.global.css" rel="stylesheet" type="text/css"/>
    </head>
  
  <body id="topbarFrm">
  <img src="/static/images/logo.gif" align="left" class="isp-logo"/> 
    <table cellspacing="0" cellpadding="0" class="server-info-section">
        <tr>
        <td>
        <table border="0" cellspacing="0" cellpadding="0" class="server-stats">
            <tr>
            <th>&nbsp;&raquo; <xsl:value-of select="epl:_(string(/topbar/user/properties/siteinfo_domain))"/></th>
            </tr> 
            <tr><td><xsl:value-of select="epl:_('User name')"/>:&nbsp;<xsl:value-of select="/topbar/user/properties/username"/></td></tr>
        </table>
        </td>
        <td style="vertical-align: middle;"><a href="http://www.parallels.com" target="_blank"><img src="/static/images/parallels_logo.gif"/></a></td>
        </tr> 
    </table>
  </body>
 </html>
</xsl:template>

</xsl:stylesheet>
