<?xml version="1.0" encoding="utf-8"?>
<!--
    $Id: reseller.main.xsl,v 1.1 2008/03/04 17:50:30 asmirnova Exp $
    $Log: reseller.main.xsl,v $
    Revision 1.1  2008/03/04 17:50:30  asmirnova
    Added "Reloaded" design

    Revision 1.2  2008/02/21 19:39:35  agordienko
    changed size of triangles in tools section

    Revision 1.1.2.1  2008/02/07 22:05:43  asmirnova
    Working on the new design

    Revision 1.9.2.5.2.7.2.6  2007/05/11 13:38:10  smore
    Removing <img> tag implementation.

    Revision 1.9.2.5.2.7.2.5  2007/05/09 14:17:25  smore
    FINALLY, going back to original <img> tag implementation. The cache related headers are set by server, and not handled
    by browser now.

    Revision 1.9.2.5.2.7.2.4  2007/05/02 12:50:45  smore
    Removing <img> tag implementation of Tracking pro.

    Revision 1.9.2.5.2.7.2.3  2007/04/27 05:05:41  smore
    Reverting back to old <img> method.

    Revision 1.9.2.5.2.7.2.2  2007/04/21 14:30:04  smore
    Removing older Tracking pro code

    Revision 1.9.2.5.2.7.2.1  2007/04/11 13:11:20  smore
    As 11.0.0 is changed to 10.3.0

    Revision 1.9.2.5.2.7  2007/03/29 06:06:58  smore
    Set up image width and height.

    Revision 1.9.2.5.2.6  2007/03/28 14:05:29  smore
    Updating the TrackPro server urls

    Revision 1.9.2.5.2.5  2007/02/16 08:53:29  smore
    Defining isTrackingPro flag globally. Accordingly img tag will be inserted into the main page at each level.

    Revision 1.9.2.5.2.4  2007/02/16 05:55:15  smore
    First check in for Tracking pro. Please note that more modifications are still expected.

    Revision 1.9.2.5.2.3  2007/02/06 04:38:17  skathalkar
    merging epl-10-2-0-branch into epl-11-0-0-branch

    Revision 1.9.2.5.2.2  2007/01/18 09:27:12  smore
    For PR# 1084858 AnnounceIt! can not handle large message and returns 500 internal error.
    Files modified are as follows:

    ####Site level:

    /epl/eplapi/implementors/site/site.py
    /epl/frontend/skins/cocoon/xsl/site_main.xsl
    /epl/frontend/skins/mercury/xsl/site_main.xsl
    /epl/frontend/skins/classic/xsl/site_main.xsl
    /epl/frontend/rootapp/siteadmin/__init__.py
    /epl/frontend/kidpages/site/showmotd.kid


    #####Reseller level:
    /epl/frontend/eplglobals.py
    /epl/frontend/skins/cocoon/xsl/reseller.main.xsl
    /epl/frontend/skins/mercury/xsl/reseller.main.xsl
    /epl/frontend/skins/classic/xsl/reseller.main.xsl
    /epl/frontend/rootapp/reseller/__init__.py
    /epl/frontend/kidpages/reseller/showmotd.kid

    Revision 1.9.2.5.2.1  2006/10/18 09:48:41  msahni
    Fix for PR#1084101 : Removing style attribute and putting the styling information in the css.

    Revision 1.9.2.6.2.1  2007/01/22 08:46:08  msahni
    Fix for PR#108497:In case of unlimited bandwidth or disk space, dashboard should show 'unlimited MB' instead of '0'.

    Revision 1.9.2.6  2006/11/20 12:10:16  skathalkar
    PR# 1084406: 10.1.0 :: FC6 :: Upgrade :: SA can see the links in of services which are not enable. (Shortcuts). service node was not available in the context it was used inside xsl-when. With the current change variable is initialised at the top. Fixed for reseller aswell.

    Revision 1.9.2.5  2006/08/31 10:29:17  smore
    PR# 1083264: AnnounceIt : Title should allow semicolon like characters to be displayed.

    Revision 1.9.2.4  2006/08/22 12:24:58  smore
    demo changes

    Revision 1.9.2.3  2006/08/22 06:09:34  msahani
    Showing the DNS section on the dashboard for classic and mercury skins.

    Revision 1.9.2.2  2006/08/16 09:32:38  smore
    Change for small pop-up window

    Revision 1.9.2.1  2006/08/16 07:24:53  smore
    For MOTD

    Revision 1.9  2006/04/12 15:38:14  msahani
    Changes for localization.

    Revision 1.11  2006/04/12 13:00:07  mansoor
    XSL stylesheets need to stringify the XML nodes before calling the epl:_ localizer function

    Revision 1.10  2006/04/06 12:42:20  msahani
    hidding plan from the frontend for basic license.

    Revision 1.9  2006/03/17 14:40:19  msahani
    Corrected problem of empty section display on dashboard.

    Revision 1.8  2006/03/10 07:16:09  msahani
    *** empty log message ***

    Revision 1.7  2006/03/09 11:55:22  msahani
    *** empty log message ***

    Revision 1.6  2006/03/09 11:40:31  msahani
    changes for hiding links whose service is not enabled for a particular reseller.

    Revision 1.5  2006/03/07 06:54:51  msahani
    changes to support idn.

    Revision 1.4  2006/03/06 11:38:14  msahani
    In case the total values of bandwidth and diskspace are 0, N/A should be displayed.

    Revision 1.3  2006/02/28 05:27:35  msahani
    Handled usage bar display problem.

    Revision 1.2  2006/02/09 11:45:53  msahani
    Removed lang tags and replaced them with _() function for internationalization.

    Revision 1.1  2006/02/07 13:37:49  msahani
    Removed all occurance of epleval and optimized the xsls.

-->
<!DOCTYPE xsl:stylesheet [
    <!ENTITY nbsp "&#160;">
    <!ENTITY raquo "&#187;">
]>
        
<xsl:stylesheet
    version="1.0"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:tgt="http://www.w3.org/1999/xhtml"
    xmlns:epl="http://www.ensim.com/epl50"
    xmlns:saxon="http://icl.com/saxon"
    extension-element-prefixes="epl saxon func"
    exclude-result-prefixes="saxon epl"
    xmlns:fn="http://www.w3.org/2005/02/xpath-functions"
    xmlns:math="http://exslt.org/math"
    xmlns:sets="http://exslt.org/sets"
    xmlns:func="http://exslt.org/functions"
>

<xsl:output method="xml" indent="yes" />

<!-- XSL for rendering the dashboard of reseller.
     Refers reseller's dashboard static/xml/reseller.main.xml
     It renders 2 main sections on the dashboard, one for the reseller's usage information and the
     other for the shortcuts to various items.
-->


<!-- This function gets an item node and checks if that node is to be displayed on the dashboard or
not. For this it checks if the service of that item is enabled or not. If no service node is present
or if service node is empty then it displays the item.
-->
<func:function name="func:isItemDisplayable">
 <xsl:param name="item_node"/>
 <xsl:variable name="service" select="$item_node/service/text()"/>
 <xsl:choose>
  <xsl:when test="./child::node()[name() = 'proenabled']">
   <xsl:variable name="ispro" select="epl:isPro()"/>
   <xsl:choose>
    <xsl:when test="$ispro = 'False'">
     <func:result select="false()"/>
    </xsl:when>
    <xsl:otherwise>
     <xsl:choose>
      <xsl:when test="$service">
       <xsl:choose>
        <xsl:when test="/resellerdashboard/enabledservices/child::node()[name() = $service]">
         <func:result select="true()"/>
        </xsl:when>
        <xsl:otherwise>
         <func:result select="false()"/>
        </xsl:otherwise>
       </xsl:choose>
      </xsl:when>
      <xsl:otherwise>
       <func:result select="true()"/>
      </xsl:otherwise>
     </xsl:choose>
    </xsl:otherwise>
   </xsl:choose>
  </xsl:when>
  <xsl:otherwise>
   <xsl:choose>
    <xsl:when test="$service">
     <xsl:choose>
      <xsl:when test="/resellerdashboard/enabledservices/child::node()[name() = $service]">
       <xsl:choose>
       <xsl:when test="$service = 'bind'">
        <xsl:if test="/resellerdashboard/reseller/properties/enabled_zone_mgmt/text() = 1">
         <func:result select="true()"/>
        </xsl:if>
       </xsl:when>
       <xsl:otherwise>
        <func:result select="true()"/>
       </xsl:otherwise>
      </xsl:choose> 
      </xsl:when>
      <xsl:otherwise>
       <func:result select="false()"/>
      </xsl:otherwise>
     </xsl:choose>
    </xsl:when>
    <xsl:otherwise>
     <func:result select="true()"/>
    </xsl:otherwise>
   </xsl:choose>
  </xsl:otherwise>
 </xsl:choose>
</func:function>

<!-- This iterates over each item node in the current select and calls isItemDisplayable() function
for each item.
-->
<xsl:key name="displayItem" match="item" use="func:isItemDisplayable(.)"/>

<!-- This function checks if a section is to be displayed on the dashboard. A section has to be
displayed if there is even one item under it which is displayable.
-->
<func:function name="func:isSectionDisplayable">
 <xsl:param name="section_node"/>
 <xsl:choose>
  <xsl:when test="count(key('displayItem','true')[../caption/text() = $section_node/caption/text()]) = 0">
   <func:result select="false()"/>
  </xsl:when>
  <xsl:otherwise>
   <func:result select="true()"/>
  </xsl:otherwise>
 </xsl:choose>
</func:function>

<xsl:template match="/">

 <xsl:variable name="reseller_dashboard_title" select="/resellerdashboard/title/text()"/>
 <xsl:variable name="snum_columns" select="/resellerdashboard/columns/text()"/>
 <xsl:variable name="snum_sections" select="count (/resellerdashboard/section)"/>
 <xsl:variable name="snum_rows" select="round ($snum_sections div $snum_columns)"/>
 <xsl:variable name="ssection_width" select="floor (100 div $snum_columns)"/>
 <xsl:variable name="ssection_height" select="floor (100 div $snum_rows)"/>

 <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
   <meta content="text/html; charset=ISO-8859-1" http-equiv="content-type" />
   <link href="/static/css/reseller.global.css" type="text/css" rel="stylesheet" />
   <title><xsl:value-of select="epl:_('System Statistics')"/></title>
  </head>

  <body>


 <xsl:apply-templates select="//motd"/>

<script language="Javascript">
function DShow(t)
{
    k = t.parentNode.parentNode.parentNode.parentNode.parentNode.parentNode.parentNode;
    if(t.src.indexOf("maximize.gif") != -1)
    {
        t.src = "/static/images/minimize.gif";
        k.rows[1].style.display = "";
        k.rows[2].style.display = "";
    }
    else
    {
        t.src = "/static/images/maximize.gif";
        k.rows[1].style.display = "none";
        k.rows[2].style.display = "none";
    }
}
</script>
<div class="subnav-notabs">
<div class="subnav-title"><xsl:value-of select="epl:_(string($reseller_dashboard_title))"/></div>
</div>

<div class="cool-green-box">
<table class="quick_access" cellspacing="0" cellpading="0">
        <tr>
        <td width="50%" style="vertical-align: top;">
                <table class="quick_access_tools">
                        <tr>
                        <td colspan="3">
                                <table class="qa_header" cellspacing="0" cellpadding="0">
                                <tr>
                                <td class="qa_header_left_corner"><img src="/static/images/blank.gif" width="3" height="1"/></td>
                                <td class="qa_header_title">Tools</td>
                                <td class="qa_header_min_max"><img src="/static/images/minimize.gif" onClick="DShow(this);"/></td>
                                <td class="qa_header_right_corner"><img src="/static/images/blank.gif" width="3" height="1"/></td>
                                </tr>
                                </table>
                        </td>
                        </tr>
                        <tr>
                        <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
                        <td>
                        <table class="qa_outer">

			<!-- Second section on the dashboard that contains all the shortcuts for items on the dashboard.  -->
			<xsl:for-each select="/resellerdashboard/section[func:isSectionDisplayable(.) = 'true']">
     			<xsl:if test="(position() mod $snum_columns) = 1">
      			<tr>
       			<xsl:for-each select=". | ./following-sibling::node()[(name() = 'section') and (func:isSectionDisplayable(.) = 'true')][position() &lt; $snum_columns]">
        		<td width="{$ssection_width}%" style="vertical-align: top;">

				<xsl:variable name="num_rows_in_section" select="count(item)+1"/>
         			<table width="100%" cellspacing="0" class="qa_tools">
				<tr>
                                 <!-- first row is the caption of the section -->
                                <td class="qa_tools_img" width="32" rowspan="{$num_rows_in_section}"><xsl:variable name="section_img" select="image"/><img src="{$section_img}" class="db-icon"/></td>
                                <td colspan="2" class="qa_tools_head" style="padding-left: 1px;"><xsl:value-of select="epl:_(string(caption))"/></td>
                                </tr>

            			<xsl:variable name="current_item" select="."/>
            			<xsl:for-each select="key('displayItem','true')[generate-id(..) = generate-id($current_item)]">
             			<xsl:variable name="url" select="link/text()"/>
				<tr>
                                <td style="padding-top: 4px;" width="10"><img src="/static/images/qa_triangle.gif"/></td>
                                <td><a href="{$url}"><xsl:value-of select="epl:_(string(display/text()))"/></a></td>
                                </tr>
            			</xsl:for-each>
         			</table>
        		</td>
       			</xsl:for-each>
      			</tr>
     			</xsl:if> 
    			</xsl:for-each>
   			</table>

                        </td>
                        <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
                        </tr>
                        <tr>
                        <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
                        <td class="quick_access_footer"><img src="/static/images/blank.gif" width="1" height="27"/></td>
                        <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
                        </tr>
                </table>
        </td>
        <td style="padding: 0;"><img src="/static/images/blank.gif" width="10"/></td>
        <td width="50%" style="vertical-align: top;">


                        <table cellspacing="0" cellpadding="0" class="quick_access_tools" width="100%">
                        <tr>
                        <td colspan="3">
                                <table class="qa_header" cellspacing="0" cellpadding="0">
                                <tr>
                                <td class="qa_header_left_corner"><img src="/static/images/blank.gif" width="3" height="1"/></td>
                                <td class="qa_header_title"><xsl:value-of select="epl:_('System Statistics')"/></td>
                                <td class="qa_header_min_max"><img src="/static/images/minimize.gif" onClick="DShow(this);"/></td>
                                <td class="qa_header_right_corner"><img src="/static/images/blank.gif" width="3" height="1"/></td>
                                </tr>
                                </table>
                        </td>
                        </tr>
                        <tr>
                        <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
                        <td>
                                <table class="qa_tools">
				<!-- First section of dashboard which contains reseller's usage information. -->
          			<tr>
           			<td class="qa_tools_info" style="padding-top: 10px" width="30%"><xsl:value-of select="epl:_('Disk Space')"/></td>
                        
				<td class="qa_tools_info" style="padding-top: 10px">
            				<table width="100%" height="100%" cellspacing="0">
             				<tr>
              				<!-- Calculates the usage percentage of the diskspace and render's it in a bar form. -->
              				<td>
               				<div class="server-stats">
                			<xsl:variable name="diskquota_used" select="/resellerdashboard/reseller/statistics/diskquota_used" />
                			<xsl:variable name="diskquota_total" select="/resellerdashboard/reseller/statistics/diskquota_total" />
                			<xsl:variable name="disk_usage_perc" select="floor($diskquota_used div $diskquota_total * 100)"/>
                			<xsl:choose>
                 			<xsl:when test="$diskquota_total = 0">
                  			<div class="no-data-text"><xsl:value-of select="epl:_('N/A')"/></div>
                 			</xsl:when>
                 			<xsl:otherwise>
                  			<div class="disk-info">
                   			<xsl:choose>
                    			<xsl:when test="$disk_usage_perc &gt; 100">
                     			<div class="disk-usage-bar" style="width:100%">&#xA0;</div>  
                     			<div class="disk-usage-text">100<xsl:value-of select="epl:_('% used')"/></div>
                    			</xsl:when>
                    			<xsl:otherwise>
                     			<div class="disk-usage-bar" style="width:{$disk_usage_perc}%">&#xA0;</div>  
                     			<div class="disk-usage-text"><xsl:value-of select="$disk_usage_perc"/><xsl:value-of select="epl:_('% used')"/></div>
                    			</xsl:otherwise>
                   			</xsl:choose>
                  			</div>
                 			</xsl:otherwise>
                			</xsl:choose>
               				</div>
              				</td>
             				</tr>
                            
             				<tr>
              				<!-- Displays the actual values of used and total diskquota. -->
              				<td>
               				<xsl:value-of select="/resellerdashboard/reseller/statistics/diskquota_used"/>
               				/
               				<xsl:choose>
                			<xsl:when test="/resellerdashboard/reseller/statistics/diskquota_total = 0">
                 			<xsl:value-of select="epl:_('Unlimited MB')"/>
                			</xsl:when>
                			<xsl:otherwise>
                 			<xsl:value-of select="/resellerdashboard/reseller/statistics/diskquota_total"/><xsl:value-of select="epl:_('MB Used')"/>
                			</xsl:otherwise>
               				</xsl:choose> 
              				</td>
             				</tr>
            				</table>
           			</td>
          			</tr>

          			<tr>
           			<td class="qa_tools_info" style="padding-bottom: 10px;"><xsl:value-of select="epl:_('Bandwidth')"/></td>
           			<td class="qa_tools_info" style="padding-bottom: 10px;">
            				<table width="100%" height="100%" cellspacing="0">
             				<tr>
              				<!-- Calculates the usage percentage of the bandwidth and render's it in a bar form. -->
              				<td>
               				<div class="server-stats">
                			<xsl:variable name="bandwidth_used" select="/resellerdashboard/reseller/statistics/bandwidth_used" />
                			<xsl:variable name="bandwidth_total" select="/resellerdashboard/reseller/statistics/bandwidth_total" />
                			<xsl:variable name="bandwidth_perc" select="floor($bandwidth_used div $bandwidth_total * 100)"/>
                			<xsl:choose>
                 			<xsl:when test="$bandwidth_total = 0">
                  			<div class="no-data-text"><xsl:value-of select="epl:_('N/A')"/></div>
                 			</xsl:when>
                 			<xsl:otherwise>
                  			<div class="disk-info">
                   			<xsl:choose>
                    			<xsl:when test="$bandwidth_perc &gt; 100">
                     			<div class="disk-usage-bar" style="width:100%">&#xA0;</div>  
                     			<div class="disk-usage-text">100<xsl:value-of select="epl:_('% used')"/></div>
                    			</xsl:when>
                    			<xsl:otherwise>
                     			<div class="disk-usage-bar" style="width:{$bandwidth_perc}%">&#xA0;</div>  
                     			<div class="disk-usage-text"><xsl:value-of select="$bandwidth_perc"/><xsl:value-of select="epl:_('% used')"/></div>
                    			</xsl:otherwise>
                   			</xsl:choose>
                  			</div>
                 			</xsl:otherwise>
                			</xsl:choose>
               				</div>
              				</td>
             				</tr>
                           
             				<tr>
              				<!-- Displays the actual values of used and total bandwidth. -->
              				<td>
               				<xsl:value-of select="/resellerdashboard/reseller/statistics/bandwidth_used"/>
               				/
               				<xsl:choose>
                			<xsl:when test="/resellerdashboard/reseller/statistics/bandwidth_total = 0">
                 			<xsl:value-of select="epl:_('Unlimited MB')"/>
                			</xsl:when>
                			<xsl:otherwise>
                 			<xsl:value-of select="/resellerdashboard/reseller/statistics/bandwidth_total"/><xsl:value-of select="epl:_('MB Used')"/>
                			</xsl:otherwise>
               				</xsl:choose> 
              				</td>
             				</tr>
            				</table>
           			</td>
          			</tr>
         			</table>
                        </td>
                        <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
                        </tr>
                        <tr>
                        <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
                        <td class="quick_access_footer"><img src="/static/images/blank.gif" width="1" height="27"/></td>
                        <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
                        </tr>
                        </table>


                        <div><img src="/static/images/blank.gif" height="10" width="1"/></div>
                        <table border="0" cellspacing="0" cellpadding="0"  class="quick_access_tools" width="100%">
                        <tr>
                        <td colspan="3">
                                <table class="qa_header" cellspacing="0" cellpadding="0">
                                <tr>
                                <td class="qa_header_left_corner"><img src="/static/images/blank.gif" width="3" height="1"/></td>
                                <td class="qa_header_title"><xsl:value-of select="epl:_('System Statistics')"/></td>
                                <td class="qa_header_min_max"><img src="/static/images/minimize.gif" onClick="DShow(this);"/></td>
                                <td class="qa_header_right_corner"><img src="/static/images/blank.gif" width="3" height="1"/></td>
                                </tr>
                                </table>
                        </td>
                        </tr>
                        <tr>
                        <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
                        <td>
                                <table class="qa_tools">
				<!-- This displays information about reseller such as full name, users, domains and so on. -->
				<tr>
           			<td class="qa_tools_info" style="padding-top: 10px;" width="30%"><xsl:value-of select="epl:_('Full Name')"/></td>
				<td class="qa_tools_info" style="padding-top: 10px;"><xsl:value-of select="/resellerdashboard/reseller/properties/reseller_fullname"/></td>
				</tr>

          			<tr>
           			<td class="qa_tools_info"><xsl:value-of select="epl:_('Email')"/></td>
           			<td class="qa_tools_info"><xsl:value-of select="epl:idn(string(/resellerdashboard/reseller/properties/reseller_email))"/></td>
				</tr>
				<tr>
           			<td class="qa_tools_info"><xsl:value-of select="epl:_('Users')"/></td>
				<td class="qa_tools_info">
				<xsl:value-of select="/resellerdashboard/reseller/statistics/users_used" />
				/
				<xsl:value-of select="/resellerdashboard/reseller/statistics/users_total" />
           			</td>
          			</tr>
				<tr>
           			<td class="qa_tools_info"><xsl:value-of select="epl:_('IP-Based Domains')"/></td>
				<td class="qa_tools_info">                
            			<xsl:value-of select="/resellerdashboard/reseller/statistics/ipinfo_ip_used"/>
            			/
            			<xsl:value-of select="/resellerdashboard/reseller/statistics/ipinfo_ip_total"/>
           			</td>
          			</tr>
          			<tr>
           			<td class="qa_tools_info" style="padding-bottom: 10px;"><xsl:value-of select="epl:_('Name-Based Domains')"/></td>
           			<td class="qa_tools_info" style="padding-bottom: 10px;">
            			<xsl:value-of select="/resellerdashboard/reseller/statistics/ipinfo_nb_used"/>
            			/
            			<xsl:value-of select="/resellerdashboard/reseller/statistics/ipinfo_nb_total"/>
           			</td>
          			</tr>
         			</table>
                        </td>
                        <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
                        </tr>
                        <tr>
                        <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
                        <td class="quick_access_footer"><img src="/static/images/blank.gif" width="1" height="27"/></td>
                        <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
                        </tr>
                        </table>
			<div><img src="/static/images/blank.gif" height="10" width="1"/></div>

                        <table border="0" cellspacing="0" cellpadding="0"  class="quick_access_tools" width="100%">
                        <tr>
                        <td colspan="3">
                                <table class="qa_header" cellspacing="0" cellpadding="0">
                                <tr>
                                <td class="qa_header_left_corner"><img src="/static/images/blank.gif" width="3" height="1"/></td>
                                <td class="qa_header_title"><xsl:value-of select="epl:_('Reseller')"/></td>
                                <td class="qa_header_min_max"><img src="/static/images/minimize.gif" onClick="DShow(this);"/></td>
                                <td class="qa_header_right_corner"><img src="/static/images/blank.gif" width="3" height="1"/></td>
                                </tr>
                                </table>
                        </td>
                        </tr>
                        <tr>
                        <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
                        <td>
                                <table class="qa_tools">

      				<tr>
       				<td class="qa_tools_info" style="padding-top: 10px" width="30%"><xsl:value-of select="epl:_('User Name')"/></td>
       				<td class="qa_tools_info" style="padding-top: 10px" ><xsl:value-of select="resellerdashboard/reseller/properties/username"/></td>
      				</tr>

      				<tr>
       				<td class="qa_tools_info"><xsl:value-of select="epl:_('Host Name')"/></td>
       				<td class="qa_tools_info"><xsl:value-of select="resellerdashboard/reseller/properties/server_name"/></td>
      				</tr>

      				<tr>
       				<td class="qa_tools_info" style="padding-bottom: 10px;"><xsl:value-of select="epl:_('IP Address')"/></td>
       				<td class="qa_tools_info" style="padding-bottom: 10px;"><xsl:value-of select="resellerdashboard/reseller/properties/server_ip"/></td>
      				</tr>
     				</table>
                        </td>                                                                                                                                                 <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>                                                       </tr>                                                                                                                                                 <tr>                                                                                                                                                  <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>                                                       <td class="quick_access_footer"><img src="/static/images/blank.gif" width="1" height="27"/></td>                                                      <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>                                                       </tr>                                                                                                                                                 </table>                                                                                                                                                                                                                                                                                                                                                                                                                                                          <div><img src="/static/images/blank.gif" height="10" width="1"/></div>                                                                                <table border="0" cellspacing="0" cellpadding="0"  class="quick_access_tools" width="100%">                                                           <tr>                                                                                                                                                  <td colspan="3">                                                                                                                                              <table class="qa_header" cellspacing="0" cellpadding="0">                                                                                             <tr>                                                                                                                                                  <td class="qa_header_left_corner"><img src="/static/images/blank.gif" width="3" height="1"/></td>                                                     <td class="qa_header_title"><xsl:value-of select="epl:_('Server Statistics')"/></td>                                                                  <td class="qa_header_min_max"><img src="/static/images/minimize.gif" onClick="DShow(this);"/></td>
                                <td class="qa_header_right_corner"><img src="/static/images/blank.gif" width="3" height="1"/></td>                                                    </tr>                                                                                                                                                 </table>                                                                                                                                      </td>                                                                                                                                                 </tr>                                                                                                                                                 <tr>                                                                                                                                                  <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>                                                       <td>                                                                                                                                                          <table class="qa_tools">                                                                                              
      <tr>
       <td class="qa_tools_info" style="padding-top: 10px">
        <!-- Calculates the diskquota usage in percentage to display it on the bar which
        represents this usage -->
        <xsl:variable name="diskquota_used" select="/resellerdashboard/reseller/statistics/diskquota_used" />
        <xsl:variable name="diskquota_total" select="/resellerdashboard/reseller/statistics/diskquota_total" />
        <xsl:variable name="disk_usage_perc" select="floor ($diskquota_used div $diskquota_total * 100)"/>
        <xsl:choose>
         <xsl:when test="$diskquota_total = 0">
          <xsl:value-of select="epl:_('N/A')"/>
         </xsl:when>
         <xsl:otherwise>
          <div class="disk-info">
           <xsl:choose>
            <xsl:when test="$disk_usage_perc &gt; 100">
             <div class="disk-usage-bar" style="width:100%">&nbsp;</div>
             <div class="disk-usage-text">100%<xsl:value-of select="epl:_(' used')"/></div>
            </xsl:when>
           <xsl:otherwise>
             <div class="disk-usage-bar" style="width:{$disk_usage_perc}%">&nbsp;</div>
             <div class="disk-usage-text"><xsl:value-of select="$disk_usage_perc"/>%<xsl:value-of select="epl:_(' used')"/></div>
            </xsl:otherwise>
           </xsl:choose>
          </div>
         </xsl:otherwise>
        </xsl:choose>
       </td>
      </tr>

      <tr>
       <td class="qa_tools_info">
        <!-- Displays actual amounts of used diskquota and total diskquota -->
        <xsl:value-of name="diskquota_used" select="/resellerdashboard/reseller/statistics/diskquota_used" />
        /
        <xsl:variable name="diskquota_total" select="/resellerdashboard/reseller/statistics/diskquota_total" />
        <xsl:choose>
          <xsl:when test="$diskquota_total = 0">
            <xsl:value-of select="epl:_('Unlimited')"/>
          </xsl:when>
          <xsl:otherwise>
            <xsl:value-of name="diskquota_total" select="/resellerdashboard/reseller/statistics/diskquota_total"/><xsl:value-of select="epl:_('MB Used')"/>
          </xsl:otherwise>
        </xsl:choose>
       </td>
      </tr>

      <tr>
       <!-- Converts the uptime from seconds to days, hrs, mins format -->
       <td class="qa_tools_info" style="padding-bottom: 10px"><xsl:value-of select="epl:_('Up Time')"/>: 
        <xsl:variable name="uptime" select="/resellerdashboard/reseller/properties/uptime"/>
        <xsl:variable name="days" select="floor($uptime div 86400)"/>
        <xsl:value-of select="$days"/><xsl:value-of select="epl:_('Days')"/>&nbsp;
        <xsl:variable name="hrs" select="floor($uptime mod 86400 div 3600)"/>
        <xsl:value-of select="$hrs"/><xsl:value-of select="epl:_('Hrs')"/>&nbsp;
        <xsl:variable name="mins" select="floor($uptime mod 3600 div 60)"/>
        <xsl:value-of select="$mins"/><xsl:value-of select="epl:_('Mins')"/>
       </td>
      </tr>


                               </table>
                        </td>
                        <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
                        </tr>
                        <tr>
                        <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
                        <td class="quick_access_footer"><img src="/static/images/blank.gif" width="1" height="27"/></td>
                        <td class="quick_access_corner"><img src="/static/images/blank.gif" width="1" height="1"/></td>
                        </tr>
                        </table>
        </td></tr>

</table>
</div>

</body>
</html>
</xsl:template>

<xsl:template match="/resellerdashboard/motd">
 <xsl:if test="/resellerdashboard/motd/child::node()[name() = 'entry']">
  <table class="motd">
   <xsl:for-each select="//entry">
         <tr> 
             <td>
             <xsl:variable name="url" select="/resellerdashboard/motd/link/text()"/>
             <xsl:variable name="id" select="epl:_(string(id/text()))"/>
             <xsl:variable name="title" select="epl:_(string(title/text()))"/>
             <xsl:text disable-output-escaping="yes"></xsl:text>
             <a href="javascript://" onclick="window.open('{$url}?id={$id}','glo','width=635,height=375,scrollbars,resizable')" target="_self"><xsl:value-of select="$title"/></a>
             </td>
         </tr>
   </xsl:for-each>
  </table>
 </xsl:if>
</xsl:template>

<xsl:template match="text()|@*"/>

</xsl:stylesheet>

