//This function is used for getting the cookie value from the session.
//From the name/value pair name is passed to this function for getting the value associated with it.
function getCookieValue (cookieName) {
    var exp = new RegExp (escape(cookieName) + "=([^;]+)");
    if (exp.test (document.cookie + ";")) {
        exp.exec (document.cookie + ";");
        return unescape(RegExp.$1);
    }
    else return false;
}

//This function is used for creating a name/value in the session.
//It is required to store the items per page value in the session so that it can be retained across
//page reloads.
function setCookieValue (cookieName, cookieValue) {
    document.cookie = escape(cookieName) + "=" + escape(cookieValue) + "; path=/";
    //alert(document.cookie);
    return document.cookie;
}

function serverUrl (installed_help){
    var lang = getCookieValue('language');
    var x;
    var arr = new Array();
    arr = installed_help.split(',');
    for (x in arr){
        if (arr[x] == lang){
            ret_lang = lang;
            break;
        }
        else{
            ret_lang = 'en_US';
        }
    }
    var server_url = '/help/' + ret_lang + '/appliance/using_help.htm';
    return server_url;
}

function resellerUrl (installed_help){
    var lang = getCookieValue('language');
    var x;
    var arr = new Array();
    arr = installed_help.split(',');
    for (x in arr){
        if (arr[x] == lang){
            ret_lang = lang;
            break;
        }
        else{
            ret_lang = 'en_US';
        }
    }
    var reseller_url = '/help/' + ret_lang + '/reseller/using_help.htm';
    return reseller_url;
}

function siteUrl (installed_help){
    var lang = getCookieValue('language');
    var x;
    var arr = new Array();
    arr = installed_help.split(',');
    for (x in arr){
        if (arr[x] == lang){
            ret_lang = lang;
            break;
        }
        else{
            ret_lang = 'en_US';
        }
    }
    var site_url = '/help/' + ret_lang + '/site/using_help.htm';
    return site_url;
}

function userUrl (installed_help){
    var lang = getCookieValue('language');
    var x;
    var arr = new Array();
    arr = installed_help.split(',');
    for (x in arr){
        if (arr[x] == lang){
            ret_lang = lang;
            break;
        }
        else{
            ret_lang = 'en_US';
        }
    }
    var user_url = '/help/' + ret_lang + '/user/using_help.htm';
    return user_url;
}

function setLanguage(formName) {
    var length = "document."+formName+".language.options.length";
    var value = "document."+formName+".language.options[i].value";
    selected_lang = getCookieValue('language');
    for (var i=0; i<eval(length); i++){
        if (eval(value) == selected_lang){
            return i;
        }
    }
}
